;---------------------------------------------------------------------------
; Format:
; [Statedef STATENO]
; type = ?      S/C/A/L  stand/crouch/air/liedown
; movetype = ?  I/A/H    idle/attack/gethit
; physics = ?   S/C/A/N  stand/crouch/air/none
; juggle = ?             air juggle points move requires
;
; [State STATENO, ?]     ? - any number you choose
; type = ?
; ...

[Statedef 5900]
type = S

[State 5900, 1] ;Clear all int variables
type = PowerSet
trigger1 = !time
value = 1000

[State 5900, 3] ;Intro
type = ChangeState
trigger1 = roundsexisted = 0
value = 190


; Lose by Time Over
[Statedef 170]
type = S
ctrl = 0
anim = 170
velset = 0,0

[State 170, 1]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1

;---------------------------------------------------------------------------
; Win state decider
[Statedef 180]
type = S

[State 180, 1]
type = ChangeState
trigger1 = Time = 0
value = 181 + (random <500 && palno !=6 && palno !=12)

;---------------------------------------------------------------------------
; Win pose 1 - Mada mada da ne
[Statedef 181]
type = S
ctrl = 0
anim = 181
velset = 0,0



[State 0, 1]
type = PlaySnd
trigger1 = AnimElem = 4
value = 1+(5*(palno = 6 || palno = 12)), 6
channel = 0

[State 181, 1]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1

; Win pose 2 - Laugh
[Statedef 182]
type = S
ctrl = 0
anim = 182
velset = 0,0



[State 0, 1]
type = PlaySnd
trigger1 = AnimElem = 3
value = 1, 1
channel = 0

[State 0, 1]
type = PlaySnd
trigger1 = AnimElem = 21
value = 1, 2
channel = 0

[State 181, 1]
type = NotHitBy
trigger1 = 1
value = SCA
time = 1

;---------------------------------------------------------------------------
; Introduction
; CNS difficulty: basic
; CNS x: {
[Statedef 191]
type = S
ctrl = 0
anim = 190
velset = 0,0

[State 191, 1] ;Freeze animation until PreIntro is over
type = ChangeAnim
trigger1 = RoundState = 0
value = 190

[State 191, 2] ;Assert this until you want "round 1, fight" to begin
type = AssertSpecial
trigger1 = 1
flag = Intro

[State 191, 3] ;Change to stand state when done
type = ChangeState
trigger1 = AnimTime = 0
value = 0

; Taunt
; CNS difficulty: easy
[Statedef 195]
type = S
ctrl = 0
anim = 195
velset = 0,0
movetype = I
physics = S
sprpriority = 2

[State 0, 1]
type = PlaySnd
trigger1 = AnimElem = 4
value = 1+(5*(palno = 6 || palno = 12)), 6
channel = 0



[State 0, 1]
type = TargetPowerAdd
trigger1 = AnimElem = 4 && NumTarget !=0 
value = -250




[State 195, 1]
type = CtrlSet
trigger1 = Time = 40
value = 1

[State 195, 2]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

; Power Up
[Statedef 198]
type = S
movetype = A
physics = S
anim = 198
ctrl = 0
velset = 0,0

[State 0, 0]
type = Explod
trigger1 = (!(Time%30) || Random < 200) 
anim = 199
sprpriority = ifelse(random < 200,-2,2)
postype = p1
pos = 0,-20
random = 40,26
vel = 0, -.5*(1+random%6)
id = 80
bindtime = 1
ownpal = 1

[State 0, PalFX]
type = PalFX
trigger1 = time%20=0
add = 0,0,0
sinadd = 0,255,255,37
persistent = 1
time =20
ignorehitpause = 1

[State 0, ]
type = Explod
trigger1 = AnimElem = 2,0 
anim = 996
pos = 0,0
postype = p1
bindtime = -1
under= 1
ownpal = 1
removeongethit = 1
ID = 197
removetime = -1
scale = .5,.5

[State 0, 1]
type = PowerAdd
trigger1 = AnimElemtime(2) >= 0
trigger1 = time%2 = 0 
value = 5
;ignorehitpause = 0
;persistent = 1



[State 0, 1]
type = PlaySnd
trigger1 = AnimElemtime(2) = 0
value = 0,4
volume = 255
channel = 2

[State 0, 1]
type = PlaySnd
trigger1 = AnimElem = 1
value = 1+(5*(palno = 6 || palno = 12)),5
volume = 255
channel = 0

[State 195, 2]
type = ChangeState
trigger1 = !(command = "holdy" && command = "holdb")
trigger1 = AnimElemtime(2) > 0 
trigger2 = power = 1000
value = 199

; Power Up
[Statedef 199]
type = S
movetype = A
physics = S
anim = 47
ctrl = 0
velset = 0,0

[State 0, 8]
type = StopSnd
trigger1 = !time
channel = 0 

[State 0, 8]
type = StopSnd
trigger1 = !time
channel = 2

[State 0, 1]
type = RemoveExplod
trigger1 = !time
ID = 197
;ignorehitpause = 0
;persistent = 1


[State 0, 1]
type = ChangeState
trigger1 = animtime = 0
value = 0
ctrl = 1


; Stand Light Punch
; CNS difficulty: easy
[Statedef 200]
type    = S                      ;State-type: S-stand, C-crouch, A-air, L-liedown
movetype= A                      ;Move-type: A-attack, I-idle, H-gethit
physics = S                      ;Physics: S-stand, C-crouch, A-air
juggle  = 1                      ;Number of air juggle points move takes
;Commonly-used controllers:
velset = 0,0                     ;Set velocity (x,y) (Def: no change)
ctrl = 0                         ;Set ctrl (Def: no change)
anim = 200                       ;Change animation (Def: no change)
sprpriority = 2                  ;Set layering priority to 2 (in front)

[State 200, 1]
type = HitDef
trigger1 = AnimElem = 2
attr = S, NA                     ;Attribute: Standing, Normal Attack
damage = 23, 0                   ;Damage that move inflicts, guard damage
animtype = Light                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = MA                   ;Flags on how move is to be guarded against
hitflag = MAF                    ;Flags of conditions that move can hit
priority = 3, Hit                ;Attack priority: 0 (least) to 7 (most), 4 default
;Hit/Miss/Dodge type (Def: Hit)
pausetime = 8, 8                 ;Time attacker pauses, time opponent shakes
sparkno = 0                      ;Spark anim no (Def: set above)
sparkxy = 0, -56               ;X-offset for the "hit spark" rel. to p2,
;Y-offset for the spark rel. to p1
hitsound = s5, 0                  ;Sound to play on hit
guardsound = 6, 0                ;Sound to play on guard
ground.type = High               ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 5             ;Time that the opponent slides back
ground.hittime  = 12             ;Time opponent is in hit state
ground.velocity = -4             ;Velocity at which opponent is pushed
airguard.velocity = -1.9,-.8     ;Guard velocity in air (def: (air.xvel*1.5, air.yvel/2))
air.type = High                  ;Type: High, Low, Trip (def: same as ground.type)
air.velocity = -1.4,-3           ;X-velocity at which opponent is pushed,
;Y-velocity at which opponent is pushed
air.hittime = 12                 ;Time before opponent regains control in air

[State 210, 1]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0, 0

[State 210, 1]
type = PlaySnd
trigger1 = AnimElem = 2 && random < 500
value = 2, 0
channel = 0
freqmul = ifelse(palno = 6 || palno = 12,.75,1)

[State 200, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Standing strong punch
[Statedef 210]
type    = S
movetype= A
physics = S
juggle  = 4
ctrl = 0
velset = 0,0
anim = 210
sprpriority = 2


[State 210, 1]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, 2

[State 210, 1]
type = PlaySnd
trigger1 = AnimElem = 3 && random < 500
value = 2, 1
channel = 0
freqmul = ifelse(palno = 6 || palno = 12,.75,1)

[State 210, 2]
type = HitDef
trigger1 = AnimElem = 3
attr = S, NA
animtype  = Medium
damage    = 57
guardflag = MA
pausetime = 12,12
sparkno = 1
sparkxy = 0,-60
hitsound   = s5,2
guardsound = 6,0
ground.type = High
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -5.5
air.velocity = -2.5,-4



[State 210, 5]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Standing light kick
; CNS difficulty: easy
[Statedef 230]
type    = S
movetype= A
physics = S
juggle  = 4
ctrl = 0
velset = 0,0
anim = 230
sprpriority = 2

[State 210, 1]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, 1

[State 210, 1]
type = PlaySnd
trigger1 = AnimElem = 3 && random < 500
value = 2, 0
channel = 0
freqmul = ifelse(palno = 6 || palno = 12,.75,1)

[State 230, 2]
type = HitDef
trigger1 = Time = 0
attr = S, NA
animtype  = Medium
damage    = 26
guardflag = MA
pausetime = 12,12
sparkno = 0
sparkxy = -10,-57
hitsound   = s5,3
guardsound = 6,0
ground.type = High
ground.slidetime = 10
ground.hittime  = 12
ground.velocity = -5
air.velocity = -2.5,-3.5

[State 230, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Standing strong kick
; CNS difficulty: easy
[Statedef 240]
type    = S
movetype= A
physics = S
juggle  = 5
ctrl = 0
velset = 0,0
anim = 240
sprpriority = 2

[State 210, 1]
type = PlaySnd
trigger1 = AnimElem = 3 || AnimElem = 9
value = 0, 2

[State 210, 1]
type = PlaySnd
trigger1 = AnimElem = 3 && random < 500
value = 2, 1
channel = 0
freqmul = ifelse(palno = 6 || palno = 12,.75,1)

[State 240, 2]
type = HitDef
trigger1 = AnimElem = 2 || AnimElem  = 7
attr = S, NA
animtype  = Medium
damage    = 29
guardflag = MA
pausetime = 12,12
sparkno = 1
sparkxy = -10,-60
hitsound   = s5,4
guardsound = 6,0
ground.type = High
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -6
air.velocity = -2.2,-3.2

[State 240, 3]
type = PosAdd
trigger1 = AnimElem = 7
x = 20

[State 240, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Crouching light punch
[Statedef 400]
type    = C
movetype= A
physics = C
juggle  = 5
ctrl = 0
anim = 400
sprpriority = 2

[State 210, 1]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0, 0

[State 210, 1]
type = PlaySnd
trigger1 = AnimElem = 2 && random < 500
value = 2, 0
channel = 0
freqmul = ifelse(palno = 6 || palno = 12,.75,1)

[State 400, 2]
type = HitDef
trigger1 = Time = 0
attr = C, NA
damage    = 23
priority  = 3
animtype  = Light
hitflag = MAF
guardflag = L
pausetime = 10,11
sparkno = 0
sparkxy = 0,-42
hitsound   = s5,0
guardsound = 6,0
ground.type = Low
ground.slidetime = 4
ground.hittime  = 12
ground.velocity = -4
air.velocity = -1.5,-3

[State 400, 3]
type = CtrlSet
trigger1 = Time = 5
value = 1

[State 400, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 11

;---------------------------------------------------------------------------
;Crouching strong punch
[Statedef 410]
type    = C
movetype= A
physics = C
juggle  = 6
ctrl = 0
anim = 410
sprpriority = 2

[State 210, 1]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0, 1

[State 210, 1]
type = PlaySnd
trigger1 = AnimElem = 2 && random < 500
value = 2, 0
channel = 0
freqmul = ifelse(palno = 6 || palno = 12,.75,1)

;This is the first hit, triggered on the 3rd element of animation.
[State 410, 2]
type = HitDef
trigger1 = AnimElem = 2
attr = C, NA
damage    = 55
animtype  = Medium
hitflag = MAF
guardflag = M
pausetime = 12,12
sparkno = 1
sparkxy = 0,-42
hitsound   = s5,1
guardsound = 6,0
ground.type = Low
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -4
air.velocity = -3,-4



[State 410, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
;Crouching light kick
; CNS difficulty: easy
[Statedef 430]
type    = C
movetype= A
physics = C
juggle  = 5
ctrl = 0
anim = 430
sprpriority = 2

[State 210, 1]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, 1

[State 210, 1]
type = PlaySnd
trigger1 = AnimElem = 3 && random < 500
value = 2, 0
channel = 0
freqmul = ifelse(palno = 6 || palno = 12,.75,1)

[State 430, 2]
type = HitDef
trigger1 = Time = 0
attr = C, NA
damage    = 28
animtype  = Light
hitflag = MAFD
guardflag = L
pausetime = 12,12
sparkno = 0
sparkxy = 0,-8
hitsound   = s5,3
guardsound = 6,0
ground.type = Low
ground.slidetime = 6
ground.hittime  = 12
ground.velocity = -5
air.velocity = -2,-3
down.velocity = -5,0
down.hittime = 20

[State 430, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
;Crouch Strong Kick
[Statedef 440]
type    = C
movetype= A
physics = C
juggle  = 7
ctrl = 0
anim = 440
sprpriority = 2

[State 210, 1]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, 2

[State 210, 1]
type = PlaySnd
trigger1 = AnimElem = 3 && random < 500
value = 2, 1
channel = 0
freqmul = ifelse(palno = 6 || palno = 12,.75,1)

[State 440, 3]
type = HitDef
trigger1 = Time = 0
attr = C, NA
damage    = 72
hitflag = MAFD
guardflag = L
pausetime = 12,12
sparkno = 1
sparkxy = 0,-10
hitsound   = s5,5
guardsound = 6,0
ground.type = Trip
ground.slidetime = 10
ground.hittime  = 15
ground.velocity = -1.5,-2
air.velocity = -1.2,-3
guard.velocity = -5
fall = 1

[State 440, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
;Jump Light Punch
; CNS difficulty: easy
[Statedef 600]
type    = A
movetype= A
physics = A
juggle  = 2
ctrl = 0
anim = 600
sprpriority = 2

[State 210, 1]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0, 0

[State 210, 1]
type = PlaySnd
trigger1 = AnimElem = 2 && random < 500
value = 2, 0
channel = 0
freqmul = ifelse(palno = 6 || palno = 12,.75,1)

[State 600, 2]
type = HitDef
trigger1 = Time = 0
attr = A, NA
damage    = 20
guardflag = HA
priority = 3
pausetime = 7,8
sparkno = 0
sparkxy = 10,-28
hitsound   = s5,0
guardsound = 6,0
ground.type = High
ground.slidetime = 5
ground.hittime  = 5
ground.velocity = -4
air.velocity = -1.3,-3

[State 600, 3]
type = CtrlSet
trigger1 = Time = 17
value = 1

;---------------------------------------------------------------------------
;Jump Strong Punch
; CNS difficulty: easy
[Statedef 610]
type    = A
movetype= A
physics = A
juggle  = 4
ctrl = 0
anim = 610
sprpriority = 2

[State 0, ]
type = Explod
trigger1 = AnimElem = 4,0 
anim = 611
pos = 0,0
postype = p1
bindtime = -1
sprpriority = 3
ownpal = 1
removeongethit = 1
ID = 611


[State 210, 1]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, 2

[State 210, 1]
type = PlaySnd
trigger1 = AnimElem = 3 && random < 500
value = 2, 1
channel = 0
freqmul = ifelse(palno = 6 || palno = 12,.75,1)

[State 610, 3]
type = HitDef
trigger1 = Time = 0
attr = A, NA
damage = 72
guardflag = HA
priority = 4
pausetime = 12,12
sparkno = 1
sparkxy = -10,-55
hitsound   = s5,2
guardsound = 6,0
animtype = Med
ground.type = High
ground.slidetime = 17
ground.hittime  = 17
ground.velocity = -5
air.velocity = -3,-4

;---------------------------------------------------------------------------
;Jump Light Kick
; CNS difficulty: easy
[Statedef 630]
type    = A
movetype= A
physics = A
juggle  = 3
ctrl = 0
anim = 630
sprpriority = 2

[State 210, 1]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, 0

[State 210, 1]
type = PlaySnd
trigger1 = AnimElem = 3 && random < 500
value = 2, 0
channel = 0
freqmul = ifelse(palno = 6 || palno = 12,.75,1)

[State 630, 2]
type = HitDef
trigger1 = Time = 0
attr = A, NA
damage = 26
guardflag = HA
priority = 3
pausetime = 8,8
sparkno = 1
sparkxy = 0,-40
hitsound   = s5,3
guardsound = 6,0
ground.type = High
ground.slidetime = 6
ground.hittime  = 6
ground.velocity = -4
air.velocity = -2,-3

;---------------------------------------------------------------------------
;Jump Strong Kick
; CNS difficulty: easy
[Statedef 640]
type    = A
movetype= A
physics = A
juggle  = 4
ctrl = 0
anim = 640
sprpriority = 2

[State 210, 1]
type = PlaySnd
trigger1 = AnimElem = 4
value = 0, 2

[State 210, 1]
type = PlaySnd
trigger1 = AnimElem = 4 && random < 500
value = 2, 1
channel = 0
freqmul = ifelse(palno = 6 || palno = 12,.75,1)

[State 640, 2]
type = PlaySnd
trigger1 = Time = 2
value = 0, 1

[State 640, 3]
type = HitDef
trigger1 = Time = 0
attr = A, NA
damage    = 70
guardflag = HA
priority = 4
pausetime = 12,12
sparkno = 1
sparkxy = 0,-40
hitsound   = s5,5
guardsound = 6,0
animtype = Med
ground.type = High
ground.slidetime = 15
ground.hittime  = 15
ground.velocity = -5
air.velocity = -3,-4

;Back Roll
[Statedef 800]
type    = S
movetype= A
physics = S
juggle  = 0
velset = 0,0
ctrl = 0
anim = 800
sprpriority = 2


[State 800, 1]
type = HitDef
Trigger1 = Time = 0
attr = S, NT          ;Attributes: Standing, Normal Throw
hitflag = M-          ;Affect only ground people who are not being hit
priority = 1, Miss    ;Throw has low priority, must be miss or dodge type.
sparkno = -1          ;No spark
sprpriority = 1       ;Draw in front of p2
p1facing = ifelse (command = "holdfwd", -1, 1) ;Turn if holding forwards
p2facing = 1          ;Force p2 to face KFM
p1stateno = 801       ;On success, KFM changes to state 810
p2stateno = 805       ;If hit, p2 changes to state 820 in KFM's cns
guard.dist = 0        ;This prevents p2 from going into a guard state if close
fall = 1              ;Force p2 into falling down
fall.damage = 1
fall.envshake.time = 25

[State 800, 2]
type = ChangeState
Trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Kung Fu Throw - Throwing the opponent
[Statedef 801]
type    = S
movetype= A
physics = N
anim = 801


[State 810, Grab Sound]
type = PlaySnd
trigger1 = AnimElem = 1
value = 5, 10

[State 810, Throw Sound]
type = PlaySnd
trigger1 = AnimElem = 4
value = 2, 1
freqmul = ifelse(palno = 6 || palno = 12,.75,1)

[State 810, Bind 1]
type = TargetBind
trigger1 = AnimElemTime(2) < 0
pos = 37, 0

[State 810, Width 2-11]
type = Width
trigger1 = AnimElemTime(2) >= 0 && AnimElemTime(12) < 0
edge = 10,60

[State 810, Bind 2-4]
type = TargetBind
trigger1 = AnimElemTime(2) >= 0 && AnimElemTime(3) < 0
pos = 33, -55

[State 810, Bind 5]
type = TargetBind
trigger1 = AnimElemTime(3) >= 0 && AnimElemTime(4) < 0
pos = -22, -37

[State 810, Bind 6]
type = TargetBind
trigger1 = AnimElemTime(4) >= 0 && AnimElemTime(4) < 5
pos = -23, -34

[State 810, Bind 7]
type = TargetBind
trigger1 = AnimElemTime(4) = 5
pos = -46, -5


[State 810, Hurt 11]
type = TargetLifeAdd
trigger1 = AnimElemTime(4) = 5
value = -78
kill = 0

[State 810, Throw 11]
type = TargetState
trigger1 = AnimElemTime(4) = 5
value = 806

[State 810, State End]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;The Tossee
[Statedef 805]
type    = A
movetype= H
physics = N
velset = 0,0

[State 820, 1]
type = ChangeAnim2
Trigger1 = Time = 0
value = 805

;---------------------------------------------------------------------------
;Thrown by Kung Fu Throw - thrown into the air
[Statedef 806]
type    = A
movetype= H
physics = N
velset = 6,-8
poweradd = 40

[State 821, 1] ;Gravity
type = VelAdd
Trigger1 = 1
y = .5


[State 821, 4] ;Hit ground
type = SelfState
trigger1 = Vel Y > 0
trigger1 = Pos Y >= 0
value = 5100 ;Hit ground

;Pop-Up
[Statedef 810]
type    = S
movetype= A
physics = S
juggle  = 0
velset = 0,0
ctrl = 0
anim = 800
sprpriority = 2


[State 800, 1]
type = HitDef
Trigger1 = Time = 0
attr = S, NT          ;Attributes: Standing, Normal Throw
hitflag = M-          ;Affect only ground people who are not being hit
priority = 1, Miss    ;Throw has low priority, must be miss or dodge type.
sparkno = -1          ;No spark
sprpriority = 1       ;Draw in front of p2
p1facing = ifelse (command = "holdback", -1, 1) ;Turn if holding forwards
p2facing = 1          ;Force p2 to face KFM
p1stateno = 811       ;On success, KFM changes to state 810
p2stateno = 815       ;If hit, p2 changes to state 820 in KFM's cns
guard.dist = 0        ;This prevents p2 from going into a guard state if close
fall = 1              ;Force p2 into falling down


[State 800, 2]
type = ChangeState
Trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Knock Up
[Statedef 811]
type    = S
movetype= A
physics = N
anim = 811

[State 810, Width 2-11]
type = Width
trigger1 = 1
edge = 50,10

[State 810, Grab Sound]
type = PlaySnd
trigger1 = AnimElem = 1
value = 5, 10

[State 810, Throw Sound]
type = PlaySnd
trigger1 = AnimElem = 4
value = 2, 1
channel = 0
freqmul = ifelse(palno = 6 || palno = 12,.75,1)

[State 810, Throw Sound]
type = PlaySnd
trigger1 = AnimElem = 4
value = 0, 2

[State 810, Bind 1]
type = TargetBind
trigger1 = AnimElemTime(2) < 0
pos = 37, 0

[State 0, 1]
type = HitDef
trigger1 = animelem = 3
attr = S,sa
hitflag = MAF
guardflag = HA
animtype = Up
priority = 5,Hit
damage = 50,5
pausetime = 10,10
sparkno = 3
sparkxy = 0,-42
hitsound = s5,9 
guardsound = 6,0
ground.type = High
air.type = High
ground.slidetime = 30
guard.slidetime = 30
ground.hittime = 30
guard.hittime = 15
air.hittime = 30
yaccel = 0.4
ground.velocity = -1,-10
guard.velocity = -6
air.velocity = -1,-10
airguard.velocity = -3,-3
fall = 1
fall.recover = 0
givepower = 10,40
envshake.time = 10
fall.envshake.time = 10

[State 810, State End]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;The Tossee
[Statedef 815]
type    = S
movetype= H
physics = N
velset = 0,0

[State 820, 1]
type = ChangeAnim2
Trigger1 = Time = 0
value = 815

[State 800, 2]
type = SelfState
Trigger1 = AnimTime = 0
value = 0
ctrl = 1

;Air Smack
[Statedef 850]
type    = A
movetype= A
physics = A
juggle  = 0
ctrl = 0
anim = 800
sprpriority = 2


[State 800, 1]
type = HitDef
Trigger1 = Time = 0
attr = A, NT          ;Attributes: Standing, Normal Throw
hitflag = AF          ;Affect only ground people who are not being hit
priority = 1, Miss    ;Throw has low priority, must be miss or dodge type.
sparkno = -1          ;No spark
sprpriority = 1       ;Draw in front of p2
p1facing = ifelse (command = "holdback", -1, 1) ;Turn if holding forwards
p2facing = 1          ;Force p2 to face KFM
p1stateno = 851       ;On success, KFM changes to state 810
p2stateno = 855       ;If hit, p2 changes to state 820 in KFM's cns
guard.dist = 0        ;This prevents p2 from going into a guard state if close
fall = 1              ;Force p2 into falling down


[State 800, 2]
type = ChangeState
Trigger1 = AnimTime = 0
value = 50
ctrl = 1

;---------------------------------------------------------------------------
;Kung Fu Throw - Throwing the opponent
[Statedef 851]
type    = A
movetype= A
physics = N
anim = 610
velset = 0,0

[State 810, Width 2-11]
type = Width
trigger1 = 1
edge = 50,10

[State 0, ]
type = Explod
trigger1 = AnimElem = 4,0 
anim = 611
pos = 0,0
postype = p1
bindtime = -1
sprpriority = 2
ownpal = 1
removeongethit = 1
ID = 197


[State 810, Grab Sound]
type = PlaySnd
trigger1 = AnimElem = 1
value = 5, 10

[State 810, Throw Sound]
type = PlaySnd
trigger1 = AnimElem = 4
value = 2, 1
channel = 0
freqmul = ifelse(palno = 6 || palno = 12,.75,1)

[State 810, Throw Sound]
type = PlaySnd
trigger1 = AnimElem = 4
value = 0, 2

[State 810, Bind 1]
type = TargetBind
trigger1 = AnimElemTime(2) < 0
pos = 37, 0

[State 202, 1]
type = HitDef
trigger1 = AnimElem = 2
attr = A, NA   
damage = 50
animtype = Heavy
guardflag = A
hitflag = MAF
priority = 4, Hit
pausetime = 10,10
sparkno = 3
sparkxy = 0,-55
hitsound = s5,9
guardsound = 6,0
ground.type = High
ground.slidetime = 25
ground.hittime  = 20
ground.velocity = -15,0
air.velocity = -15,0
fall = 1
fall.recover = 0
yaccel = .55
envshake.time = 10
fall.envshake.time = 10
p2stateno = 856

[State 810, State End]
type = ChangeState
trigger1 = Time = 30
value = 50


;---------------------------------------------------------------------------
;The Tossee
[Statedef 855]
type    = A
movetype= H
physics = N
velset = 0,0

[State 820, 1]
type = ChangeAnim2
Trigger1 = Time = 0
value = 815

[State 800, 2]
type = SelfState
Trigger1 = AnimTime = 0
value = 5010
ctrl = 1

; Wira Attack
[Statedef 856]
type    = A
movetype= H
physics = N
velset = 0,0

[State 1025, Anim] ;Custom animation
type = ChangeAnim
trigger1 = 1
value = 5012

[State 1025, State]
type = ChangeState
trigger1 = HitShakeOver = 1
value = 857

;------------------
; Hit by Fast Kung Fu Palm - flying through the air
[Statedef 857]
type    = A
movetype= H
physics = N

[State 1026, Velocity]
type = HitVelSet
trigger1 = Time = 0
x = 1

[State 1026, Hit wall]
type = ChangeState
trigger1 = BackEdgeBodyDist <= 20
trigger2 = FrontEdgeBodyDist <= 20
value = 858

[State 1026, Hit ground]
type = SelfState
trigger1 = (Vel y > 0) && (Pos y >= 0)
value = 5100

;------------------
; Hit by Fast Kung Fu Palm - hit wall
; (a custom gethit state)
[Statedef 858]
type    = A
movetype= H
physics = N

[State 1027, Turn]
type = Turn
trigger1 = (Time = 0) && (FrontEdgeBodyDist <= 30)

[State 1027, Pos]
type = PosAdd
trigger1 = Time = 0
x = 15 - BackEdgeBodyDist

[State 1027, Stop moving]
type = PosFreeze
trigger1 = 1
x = 1
y = 1

[State 1027, No scroll]
type = ScreenBound
trigger1 = 1
value = 1
movecamera = 0,1

[State 1027, Spark]
type = Explod
trigger1 = Time = 0
anim = F72
pos = 0, floor (screenpos y) - 50
postype = back
sprpriority = 3

[State 1027, Anim]
type = ChangeAnim
trigger1 = Time = 0
value = 5030

[State 1027, Sound]
type = PlaySnd
trigger1 = Time = 0
value = F5,4

[State 1027, State]
type = ChangeState
trigger1 = AnimTime = 0 || time >= 5
value = 859

;------------------
; Hit by Fast Kung Fu Palm - bounce off wall
; (a custom gethit state)
[Statedef 859]
type    = A
movetype= H
physics = N

[State 1028, Vel Y]
type = VelSet
trigger1 = Time = 0
y = 3

[State 1028, Vel X]
type = VelSet
trigger1 = Time = 0
x = 3

[State 1028, Turn]
type = Turn
trigger1 = (Time = 0) && (BackEdgeDist < 30)


[State 0, 2]
type = Gravity
trigger1 = 1
;ignorehitpause = 0
;persistent = 1



[State 1028, Anim 5050] ;Self falling animation
type = ChangeAnim
trigger1 = Time = 0
trigger1 = !SelfAnimExist(5052)
value = 5050

[State 1028, Anim 5052] ;Self falling animation (diagup type)
type = ChangeAnim
trigger1 = Time = 0
trigger1 = SelfAnimExist(5052)
value = 5052

[State 1028, Anim 5060] ;Coming down - normal
type = ChangeAnim
trigger1 = Vel Y > -2
trigger1 = Anim = 5050
trigger1 = SelfAnimExist(5060)
persistent = 0
value = 5060

[State 1028, Anim 5062] ;Coming down - diagup type
type = ChangeAnim
trigger1 = Vel Y > -2
trigger1 = Anim = 5052
trigger1 = SelfAnimExist(5062)
persistent = 0
value = 5062

[State 1028, Hit ground]
type = SelfState
trigger1 = (Vel y > 0) && (Pos y >= 0)
value = 5100

;HiryuKyaku
[Statedef 1000]
type    = A
movetype= A
physics = N
juggle  = 0
ctrl = 0
anim = 1000
sprpriority = 2

[State 0, 1]
type = Helper
trigger1 = (Time%3 = 0) 
name = "shadow"
id = 101
postype = P1
pos = 0,0
stateno = 1005
ownpal = 1



[State 103, 1]
type = VelSet
trigger1 = Time = 0
x = 7
y = -5

[State 103, 2]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0,2

[State 103, 2]
type = PlaySnd
trigger1 = AnimElem = 2
value = 2,1
channel = 0
freqmul = ifelse(palno = 6 || palno = 12,.75,1)

[State 103, 3]
type = VelAdd
trigger1 = Time > 0
y = .51

[State 710, 7]
type = HitDef
trigger1 = AnimElem = 2
attr = S, SA
animtype = Back
damage = 60,3
guardflag = M
pausetime = 12,12
sparkxy = 0,-55
hitsound = s5,9
guardsound = 6,0
ground.type = High
ground.slidetime = 12
ground.hittime = 15
ground.velocity = -4.5,-6.5
air.velocity = -4.5,-6.5
fall = 1
fall.recover = 0
envshake.time = 12
fall.envshake.time = 15


[State 103, 4]
type = ChangeState
trigger1 = movecontact
value = 1003
ctrl = movehit

[State 103, 4]
type = ChangeState
trigger1 = Vel Y > 0
trigger1 = Pos Y >= 0
value = 1002

;HiryuKyaku
[Statedef 1001]
type    = A
movetype= A
physics = N
juggle  = 0
ctrl = 0
anim = 1000
sprpriority = 2

[State 0, 1]
type = Helper
trigger1 = (Time%3 = 0) 
name = "shadow"
id = 101
postype = P1
pos = 0,0
stateno = 1005
ownpal = 1


[State 103, 1]
type = VelSet
trigger1 = Time = 0
x = 11
y = -6

[State 103, 2]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0,2

[State 103, 2]
type = PlaySnd
trigger1 = AnimElem = 2
value = 2,1
channel = 0
freqmul = ifelse(palno = 6 || palno = 12,.75,1)

[State 103, 3]
type = VelAdd
trigger1 = Time > 0
y = .51

[State 710, 7]
type = HitDef
trigger1 = AnimElem = 2
attr = S, SA
animtype = Back
damage = 75,5
guardflag = M
pausetime = 12,12
sparkxy = 0,-55
hitsound = s5,9
guardsound = 6,0
ground.type = High
ground.slidetime = 12
ground.hittime = 15
ground.velocity = -4.5,-6.5
air.velocity = -4.5,-6.5
fall = 1
fall.recover = 0
envshake.time = 12
fall.envshake.time = 15


[State 103, 4]
type = ChangeState
trigger1 = movecontact
value = 1003
ctrl = movehit

[State 103, 4]
type = ChangeState
trigger1 = Vel Y > 0
trigger1 = Pos Y >= 0
value = 1002

;Miss 
[Statedef 1002]
type = S
movetype = I
physics = S
anim = 1001
velset = 0,0

[State 2290, 1]
type = PosSet
trigger1 = Time = 0
y = 0

[State 0, ]
type = RemoveExplod
trigger1 = prevstateno = 3012 && !time
ID = 3012
;ignorehitpause = 0
;persistent = 1


[State 2290, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;Recoil
[Statedef 1003]
type = A
movetype = I
physics = A
anim = 1002
velset = 0,0



[State 0, ]
type = RemoveExplod
trigger1 = prevstateno = 3012 && !time
ID = 3012
;ignorehitpause = 0
;persistent = 1



[State 103, 1]
type = VelSet
trigger1 = !Time 
x = ifelse(prevstateno=1000,-2,-.5)
y = ifelse(prevstateno=1000,-7,-11)

;Shadow type 1
[Statedef 1005]
type    = S
movetype= I
physics = N
ctrl = 0
velset = 0,0
sprpriority = 0

[State 0, 1]
type = ChangeAnim
trigger1 = Time = 0
value = parent, Anim
elem = parent, animelemno(0)

[State 0, 1]
type = ChangeAnim
trigger1 = Time >= 1
value = Anim
elem = animelemno(0)

[State 0, 2]
type = SprPriority
trigger1 = Time = 3
value = -2

[State 0, 2]
type = SprPriority
trigger1 = Time = 6
value = -3

[State 0, 3]
type = SprPriority
trigger1 = parent, StateNo != [100,105]
value = -4

[State 0, 4]
type = NotHitBy
trigger1 = 1
value = SCA

[State 0, 1]
type = AssertSpecial
trigger1 = 1
flag = NoShadow

[State 0, 1]
type = AssertSpecial
trigger1 = time%2=0
flag = invisible

[State 0, 1]
type = DestroySelf
trigger1 = (Time = 8) 



;Reiko kyohanshou (spirit reflection blast)
[Statedef 1010]
type = S
movetype = A
physics = S
anim = 1010
velset = 0,0
poweradd = -100
ctrl = 0

[State 103, 2]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0,3

[State 103, 2]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1+(5*(palno = 6 || palno = 12)),8
channel = 0

[State 0, 1]
type = Explod
trigger1 = AnimElem = 2
anim = 1013
ID = 1013
pos = 42,-48
postype = p1
facing = 1
vfacing = 1
bindtime = -1
removetime = -1
scale = .75, .75
sprpriority = 4
ownpal = 1
removeongethit = 1
ignorehitpause = 1
persistent = 0



[State 0, 1]
type = HitOverride
trigger1 = AnimElemTime (2) >= 0
attr = SCA, NP, SP
stateno = 1013
time = 1
ignorehitpause = 1

[State 2290, 3]
type = ChangeState
trigger1 = Time = 40
value = 1012

;Reiko kyohanshou (spirit reflection blast)
[Statedef 1011]
type = S
movetype = A
physics = S
anim = 1010
velset = 0,0
poweradd = -125
ctrl = 0

[State 103, 2]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0,3

[State 103, 2]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1+(5*(palno = 6 || palno = 12)),8
channel = 0

[State 0, 1]
type = Explod
trigger1 = AnimElem = 2
anim = 1013
ID = 1013
pos = 42,-48
postype = p1
facing = 1
vfacing = 1
bindtime = -1
removetime = -1
scale = .75, .75
sprpriority = 4
ownpal = 1
removeongethit = 1
ignorehitpause = 1
persistent = 0



[State 0, 1]
type = HitOverride
trigger1 = AnimElemTime (2) >= 0
attr = SCA, NP, SP
stateno = 1013
time = 1
ignorehitpause = 1

[State 2290, 3]
type = ChangeState
trigger1 = Time = 65
value = 1012

;Missed 
[Statedef 1012]
type = S
movetype = I
physics = S
anim = 1011
velset = 0,0

[State 0, 1]
type = RemoveExplod
trigger1 = Time = 0
ID = 1013


[State 0, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

; Return Fire
[Statedef 1013]
type = S
movetype = A
physics = N
poweradd = 50
velset = 0, 0
ctrl = 0
anim = 1012



[State 0, 1]
type = NotHitBy
trigger1 = AnimElem = 4, <0
value = SCA

[State 0, 1]
type = RemoveExplod
trigger1 = Time = 0
ID = 1013

[State 1000, PlaySnd]
type = PlaySnd
trigger1 = AnimElem = 3
value = 1+(5*(palno = 6 || palno = 12)),0
volume = 255
channel = 0

[State 1000, PlaySnd]
type = PlaySnd
trigger1 = AnimElem =3
value = 0,7
volume = 255

[State 1000, Helper]
type = Helper
trigger1 = !IsHelper(11000)
trigger1 = AnimElem =4
postype = p1
pos = 42,-48
stateno = 1014
bindtime = 1
ownpal = 1
name = "Energy Ball"
ID = 11000
persistent = 0

[State 1000, ChangeState]
type = ChangeState
trigger1 = Time =45
value = 1012




; The Reflection Blast
[Statedef 1014]
type = S
movetype = A
physics = N
velset = 10,0
sprpriority = 2
juggle = 2
ctrl = 0

[State 1000, ChangeAnim]
type = ChangeAnim
trigger1 = !Time && Anim != 1014
value = 1014


[State 4001, 1]
type = AssertSpecial
trigger1 = 1
flag = NoShadow

[State 4001, 2]
type = PlayerPush
trigger1 = Time >= 0
value = 0

[State 3031, 1]
type = AfterImage
trigger1 = Time = 0
time = 9999
PalBright   =   0,  0,  0
PalContrast = 120,120,120
PalAdd      =  0,0,0 ;29, 29, 29
PalMul      = .77,.77,.77
trans = add
timegap =1
framegap = 1


[State 4001, HitDef]
type = HitDef
trigger1 = UniqHitCount = 0
trigger1 = p2stateno != 5070
trigger1 = p2stateno != 5071
attr = S, SP
animtype = Medium
damage = 110,10
hitflag = MAFD
guardflag = MA
pausetime = 0, 9
sparkno = -1
sparkxy = 0,0
hitsound = s5,9
guardsound = 6,0
ground.type = High
ground.slidetime = 13
ground.hittime = 26
ground.velocity = -12,-4
guard.velocity = -6
air.velocity = -12,-4
airguard.velocity = -6,-1
down.velocity = -12,0
down.hittime = 26
palfx.color = 0
fall = 1
fall.recover = 0
envshake.time = 10

[State 4001, NotHitBy]
type = NotHitBy
trigger1 = Time >= 0
time = 1
value = SCA, NA, SA, HA, NT, ST, HT
ignorehitpause = 1

[State 4001, HitOverride]
type = HitOverride
trigger1 = Time >= 0
slot = 1
time = 1
stateno = 1014
attr = SCA, NP, SP, HP
ignorehitpause = 1

[State 4001, HitBy]
type = HitBy
trigger1 = Time >= 0
value = SCA, NP, SP, HP
time = 1
ignorehitpause = 1

[State 2512, Helper Hits Count Too]
type = ParentVarSet ; Only works for helpers.
trigger1 = UniqHitCount != Var(20)
v = 19
value = 1

[State 2512, Helper Hits Count Too]
type = VarSet
trigger1 = UniqHitCount != Var(20)
v = 20
value = UniqHitCount

[State 4001, DestroySelf]
type = DestroySelf
trigger1 = FrontEdgeBodyDist < -70



; ReiKoDan (ShotGun) upward
[Statedef 1020]
type = S
movetype = A
physics = N
poweradd = -75
velset = 0, 0
ctrl = 0
anim = 1020

[State 810, Width 2-11]
type = Width
trigger1 = AnimElemTime(2) >= 0 && AnimElemTime(10) < 0
player = 30,0

[State 1000, PlaySnd]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1+(5*(palno = 6 || palno = 12)),4
volume = 255
channel = 0

[State 1000, PlaySnd]
type = PlaySnd
trigger1 = AnimElem =3 || AnimElem = 5 || AnimElem = 7 || AnimElem = 9
value = 0,7
volume = 255
channel = 2

[State 1000, Helper]
type = Helper
trigger1 = AnimElem =3 || AnimElem = 5 || AnimElem = 7 || AnimElem = 9
postype = p1
pos = 36,-57
stateno = 1024
bindtime = 1
ownpal = 1
name = "Energy Bullet"
ID = 11000


[State 1000, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

; ReiKoDan (ShotGun) upward
[Statedef 1021]
type = S
movetype = A
physics = N
poweradd = -100
velset = 0, 0
ctrl = 0
anim = 1021

[State 810, Width 2-11]
type = Width
trigger1 = AnimElemTime(2) >= 0 && AnimElemTime(18) < 0
player = 30,0

[State 1000, PlaySnd]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1+(5*(palno = 6 || palno = 12)),4
volume = 255
channel = 0

[State 1000, PlaySnd]
type = PlaySnd
trigger1 = AnimElem =3 || AnimElem = 5 || AnimElem = 7 || AnimElem = 9
trigger2 = AnimElem =11 || AnimElem = 13 || AnimElem = 15 || AnimElem = 17
value = 0,7
volume = 255
channel = 2

[State 1000, Helper]
type = Helper
trigger1 = AnimElem =3 || AnimElem = 5 || AnimElem = 7 || AnimElem = 9
trigger2 = AnimElem =11 || AnimElem = 13 || AnimElem = 15
trigger3 = (AnimElemtime(3) >=0 && AnimElemtime(15) < 0) && command = "y"
postype = p1
pos = 36,-57
stateno = 1024
bindtime = 1
ownpal = 1
name = "Energy Bullet"
ID = 11000


[State 1000, Helper]
type = Helper
trigger1 = AnimElem =17
postype = p1
pos = 36,-57
stateno = 1025
bindtime = 1
ownpal = 1
name = "Energy Bullet"
ID = 11000
persistent = 0

[State 1000, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1



; Energy Bullet
[Statedef 1024]
type = S
movetype = A
physics = N
velset = 4+(random%5),-6
sprpriority = 2
juggle = 2
ctrl = 0

[State 1000, ChangeAnim]
type = ChangeAnim
trigger1 = !Time && Anim != 1025
value = 1025


[State 4001, 1]
type = AssertSpecial
trigger1 = 1
flag = NoShadow

[State 4001, 2]
type = PlayerPush
trigger1 = Time >= 0
value = 0

[State 3031, 1]
type = AfterImage
trigger1 = Time = 0
time = 9999
PalBright   =   0,  0,  0
PalContrast = 120,120,120
PalAdd      =  0,0,0 ;29, 29, 29
PalMul      = .77,.77,.77
trans = add
timegap =1
framegap = 1


[State 4001, HitDef]
type = HitDef
trigger1 = time = 0
attr = S, SP
animtype = Medium
damage = ifelse(parent, stateno = 1020,25,10),2
hitflag = MAF
guardflag = MA
pausetime = 0, 9
sparkno = -1
sparkxy = 0,0
hitsound = s5,9
guardsound = 6,0
ground.type = High
ground.slidetime = 13
ground.hittime = 26
ground.velocity = -4,-4
guard.velocity = -6
air.velocity = -4,-4
airguard.velocity = -6,-1
down.velocity = -12,0
down.hittime = 26
air.fall = 1
envshake.time = 10

[State 4001, NotHitBy]
type = NotHitBy
trigger1 = Time >= 0
time = 1
value = SCA, NA, SA, HA, NT, ST, HT
ignorehitpause = 1

[State 4001, HitOverride]
type = HitOverride
trigger1 = Time >= 0
slot = 1
time = 1
stateno = 1014
attr = SCA, NP, SP, HP
ignorehitpause = 1

[State 4001, HitBy]
type = HitBy
trigger1 = Time >= 0
value = SCA, NP, SP, HP
time = 1
ignorehitpause = 1

[State 2512, Helper Hits Count Too]
type = ParentVarSet ; Only works for helpers.
trigger1 = UniqHitCount != Var(20)
v = 19
value = 1

[State 2512, Helper Hits Count Too]
type = VarSet
trigger1 = UniqHitCount != Var(20)
v = 20
value = UniqHitCount

[State 4001, DestroySelf]
type = DestroySelf
trigger1 = time = 10

[State 0, 1]
type = ChangeState
trigger1 = movecontact
trigger2 = pos y >= -5 && vel y > 0
value = 1046

; Energy Bullet
[Statedef 1025]
type = S
movetype = A
physics = N
velset = 6,-6
sprpriority = 2
juggle = 2
ctrl = 0

[State 1000, ChangeAnim]
type = ChangeAnim
trigger1 = !Time && Anim != 1025
value = 1025


[State 4001, 1]
type = AssertSpecial
trigger1 = 1
flag = NoShadow

[State 4001, 2]
type = PlayerPush
trigger1 = Time >= 0
value = 0

[State 3031, 1]
type = AfterImage
trigger1 = Time = 0
time = 9999
PalBright   =   0,  0,  0
PalContrast = 120,120,120
PalAdd      =  0,0,0 ;29, 29, 29
PalMul      = .77,.77,.77
trans = add
timegap =1
framegap = 1


[State 4001, HitDef]
type = HitDef
trigger1 = time = 0
attr = S, SP
animtype = Medium
damage = 25,5
hitflag = MAF
guardflag = MA
pausetime = 0, 9
sparkno = -1
sparkxy = 0,0
hitsound = s5,9
guardsound = 6,0
ground.type = High
ground.slidetime = 13
ground.hittime = 26
ground.velocity = -12,-4
guard.velocity = -6
air.velocity = -12,-4
airguard.velocity = -6,-1
down.velocity = -12,0
down.hittime = 26
fall = 1
fall.recover = 0
envshake.time = 10
fall.envshake.time = 25
[State 4001, NotHitBy]
type = NotHitBy
trigger1 = Time >= 0
time = 1
value = SCA, NA, SA, HA, NT, ST, HT
ignorehitpause = 1

[State 4001, HitOverride]
type = HitOverride
trigger1 = Time >= 0
slot = 1
time = 1
stateno = 1014
attr = SCA, NP, SP, HP
ignorehitpause = 1

[State 4001, HitBy]
type = HitBy
trigger1 = Time >= 0
value = SCA, NP, SP, HP
time = 1
ignorehitpause = 1

[State 2512, Helper Hits Count Too]
type = ParentVarSet ; Only works for helpers.
trigger1 = UniqHitCount != Var(20)
v = 19
value = 1

[State 2512, Helper Hits Count Too]
type = VarSet
trigger1 = UniqHitCount != Var(20)
v = 20
value = UniqHitCount

[State 4001, DestroySelf]
type = DestroySelf
trigger1 = time = 15

[State 0, 1]
type = ChangeState
trigger1 = movecontact
trigger2 = pos y >= -5 && vel y > 0
value = 1046

; ReiKoDan (ShotGun) straight
[Statedef 1030]
type = S
movetype = A
physics = N
poweradd = -75
velset = 0, 0
ctrl = 0
anim = 1022

[State 810, Width 2-11]
type = Width
trigger1 = AnimElemTime(2) >= 0 && AnimElemTime(10) < 0
player = 30,0


[State 1000, PlaySnd]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1+(5*(palno = 6 || palno = 12)),4
volume = 255
channel = 0

[State 1000, PlaySnd]
type = PlaySnd
trigger1 = AnimElem =3 || AnimElem = 5 || AnimElem = 7 || AnimElem = 9
value = 0,7
volume = 255
channel = 2

[State 1000, Helper]
type = Helper
trigger1 = AnimElem =3 || AnimElem = 5 || AnimElem = 7 || AnimElem = 9
postype = p1
pos = 44,-44
stateno = 1034
bindtime = 1
ownpal = 1
name = "Energy Bullet"
ID = 11000


[State 1000, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

; ReiKoDan (ShotGun) upward
[Statedef 1031]
type = S
movetype = A
physics = N
poweradd = -100
velset = 0, 0
ctrl = 0
anim = 1023

[State 810, Width 2-11]
type = Width
trigger1 = AnimElemTime(2) >= 0 && AnimElemTime(18) < 0
player = 30,0


[State 1000, PlaySnd]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1+(5*(palno = 6 || palno = 12)),4
volume = 255
channel = 0

[State 1000, PlaySnd]
type = PlaySnd
trigger1 = AnimElem =3 || AnimElem = 5 || AnimElem = 7 || AnimElem = 9
trigger2 = AnimElem =11 || AnimElem = 13 || AnimElem = 15 || AnimElem = 17
value = 0,7
volume = 255
channel = 2

[State 1000, Helper]
type = Helper
trigger1 = AnimElem =3 || AnimElem = 5 || AnimElem = 7 || AnimElem = 9
trigger2 = AnimElem =11 || AnimElem = 13 || AnimElem = 15
trigger3 = (AnimElemtime(3) >=0 && AnimElemtime(15) < 0) && command = "b"
postype = p1
pos = 44,-44
stateno = 1034
bindtime = 1
ownpal = 1
name = "Energy Bullet"
ID = 11000


[State 1000, Helper]
type = Helper
trigger1 = AnimElem =17
postype = p1
pos = 44,-44
stateno = 1035
bindtime = 1
ownpal = 1
name = "Energy Bullet"
ID = 11000


[State 1000, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1



; Energy Bullet
[Statedef 1034]
type = S
movetype = A
physics = N
velset = 6,-2+(random%5)
sprpriority = 2
juggle = 2
ctrl = 0

[State 1000, ChangeAnim]
type = ChangeAnim
trigger1 = !Time && Anim != 1025
value = 1025


[State 4001, 1]
type = AssertSpecial
trigger1 = 1
flag = NoShadow

[State 4001, 2]
type = PlayerPush
trigger1 = Time >= 0
value = 0

[State 3031, 1]
type = AfterImage
trigger1 = Time = 0
time = 9999
PalBright   =   0,  0,  0
PalContrast = 120,120,120
PalAdd      =  0,0,0 ;29, 29, 29
PalMul      = .77,.77,.77
trans = add
timegap =1
framegap = 1


[State 4001, HitDef]
type = HitDef
trigger1 = time = 0
attr = S, SP
animtype = Medium
damage = ifelse(parent, stateno = 1030,25,10),2
hitflag = MAF
guardflag = MA
pausetime = 0, 9
sparkno = -1
sparkxy = 0,0
hitsound = s5,9
guardsound = 6,0
ground.type = High
ground.slidetime = 13
ground.hittime = 26
ground.velocity = -4
guard.velocity = -6
air.velocity = -4,-4
airguard.velocity = -6,-1
down.velocity = -12,0
down.hittime = 26
envshake.time = 10

[State 4001, NotHitBy]
type = NotHitBy
trigger1 = Time >= 0
time = 1
value = SCA, NA, SA, HA, NT, ST, HT
ignorehitpause = 1

[State 4001, HitOverride]
type = HitOverride
trigger1 = Time >= 0
slot = 1
time = 1
stateno = 1014
attr = SCA, NP, SP, HP
ignorehitpause = 1

[State 4001, HitBy]
type = HitBy
trigger1 = Time >= 0
value = SCA, NP, SP, HP
time = 1
ignorehitpause = 1

[State 2512, Helper Hits Count Too]
type = ParentVarSet ; Only works for helpers.
trigger1 = UniqHitCount != Var(20)
v = 19
value = 1

[State 2512, Helper Hits Count Too]
type = VarSet
trigger1 = UniqHitCount != Var(20)
v = 20
value = UniqHitCount

[State 4001, DestroySelf]
type = DestroySelf
trigger1 = time = 15

[State 0, 1]
type = ChangeState
trigger1 = movecontact
trigger2 = pos y >= -5 && vel y > 0
value = 1046

; Energy Bullet
[Statedef 1035]
type = S
movetype = A
physics = N
velset = 6,0
sprpriority = 2
juggle = 2
ctrl = 0

[State 1000, ChangeAnim]
type = ChangeAnim
trigger1 = !Time && Anim != 1025
value = 1025


[State 4001, 1]
type = AssertSpecial
trigger1 = 1
flag = NoShadow

[State 4001, 2]
type = PlayerPush
trigger1 = Time >= 0
value = 0

[State 3031, 1]
type = AfterImage
trigger1 = Time = 0
time = 9999
PalBright   =   0,  0,  0
PalContrast = 120,120,120
PalAdd      =  0,0,0 ;29, 29, 29
PalMul      = .77,.77,.77
trans = add
timegap =1
framegap = 1


[State 4001, HitDef]
type = HitDef
trigger1 = time = 0
attr = S, SP
animtype = Medium
damage = 25,5
hitflag = MAFD
guardflag = MA
pausetime = 0, 9
sparkno = -1
sparkxy = 0, 0
hitsound = s5,9
guardsound = 6,0
ground.type = High
ground.slidetime = 13
ground.hittime = 26
ground.velocity = -12,-4
guard.velocity = -6
air.velocity = -12,-4
airguard.velocity = -6,-1
down.velocity = -12,0
down.hittime = 26
fall = 1
fall.recover = 0
envshake.time = 10
fall.envshake.time = 25

[State 4001, NotHitBy]
type = NotHitBy
trigger1 = Time >= 0
time = 1
value = SCA, NA, SA, HA, NT, ST, HT
ignorehitpause = 1

[State 4001, HitOverride]
type = HitOverride
trigger1 = Time >= 0
slot = 1
time = 1
stateno = 1014
attr = SCA, NP, SP, HP
ignorehitpause = 1

[State 4001, HitBy]
type = HitBy
trigger1 = Time >= 0
value = SCA, NP, SP, HP
time = 1
ignorehitpause = 1

[State 2512, Helper Hits Count Too]
type = ParentVarSet ; Only works for helpers.
trigger1 = UniqHitCount != Var(20)
v = 19
value = 1

[State 2512, Helper Hits Count Too]
type = VarSet
trigger1 = UniqHitCount != Var(20)
v = 20
value = UniqHitCount

[State 4001, DestroySelf]
type = DestroySelf
trigger1 = time = 15

[State 0, 1]
type = ChangeState
trigger1 = movecontact
trigger2 = pos y >= -5 && vel y > 0
value = 1046

; Rei Gan (Spirit Gun)
[Statedef 1040]
type = S
movetype = A
physics = N
poweradd = -75
velset = 0, 0
ctrl = 0
anim = 1040

[State 0, 1]
type = Explod
trigger1 = AnimElemTime(3) >= 0
trigger1 = timemod =6, 0
trigger1 = NumExplod(1043) <= 20
pos = 33, -88
ignorehitpause = 1
sprpriority = 6
ownpal = 1
ontop = 1
removetime = 15
random = 5,5
vel = 0,3
supermove = 1
bindtime = 1
anim = 1043
ID = 1043


[State 0, 2]
type = Explod
trigger1 = AnimElemTime(3) >= 0
trigger1 = timemod =6, 0
trigger1 = NumExplod(1043) <= 20
pos = 33, 2
;persistent = 0
ignorehitpause = 1
sprpriority = 6
ownpal = 1
ontop = 1
Removetime = 15
Random = 5,5
Vel = 0,-3
supermove = 1
bindtime = 1
anim = 1043
ID = 1043


[State 0, 3]
type = Explod
trigger1 = AnimElemTime(3) >= 0
trigger1 = timemod =6, 0
trigger1 = NumExplod(1043) <= 20
pos = 78, -43
ignorehitpause = 1
sprpriority = 6
ownpal = 1
ontop = 1
Removetime = 15
Random = 5,5
Vel = -3,0
supermovetime = 99999999999999
supermove = 1
bindtime = 1
anim = 1043
ID = 1043



[State 0, 4]
type = Explod
trigger1 = AnimElemTime(3) >= 0
trigger1 = timemod =6, 0
trigger1 = NumExplod(1043) <= 20
pos = -12, -43
;persistent = 0
ignorehitpause = 1
sprpriority = 6
ownpal = 1
ontop = 1
Removetime = 15
Random = 5,5
Vel = 3,0
supermove = 1
bindtime = 1
anim = 1043
ID = 1043


[State 0, 5]
type = Explod
trigger1 = AnimElemTime(3) >= 0
trigger1 = timemod =6, 0
trigger1 = NumExplod(1043) <= 20
pos = 78, -88
;persistent = 0
ignorehitpause = 1
sprpriority =6 
ownpal = 1
ontop = 1
Removetime = 15
Random = 5,5
Vel = -3,3
supermove = 1
bindtime = 1
anim = 1043
ID = 1043


[State 0, 6]
type = Explod
trigger1 = AnimElemTime(3) >= 0
trigger1 = timemod =6, 0
trigger1 = NumExplod(1043) <= 20
pos = -12, -88
;persistent = 0
ignorehitpause = 1
sprpriority = 6
ownpal = 1
ontop = 1
Removetime = 15
Random = 5,5
Vel = 3,3
supermove = 1
bindtime = 1
anim = 1043
ID = 1043


[State 0, 7]
type = Explod
trigger1 = AnimElemTime(3) >= 0
trigger1 = timemod =6, 0
trigger1 = NumExplod(1043) <= 20
pos = 78, 2
ignorehitpause = 1
sprpriority = 6
ownpal = 1
ontop = 1
Removetime = 15
Vel = -3,-3
supermove = 1
bindtime = 1
anim = 1043
ID = 1043


[State 0, 8]
type = Explod
trigger1 = AnimElemTime(3) >= 0
trigger1 = timemod =6, 0
trigger1 = NumExplod(1043) <= 20
pos = -12, 2
;persistent = 0
ignorehitpause = 1
sprpriority = 6
ownpal = 1
ontop = 1
Removetime = 15
Vel = 3,-3
supermove = 1
bindtime = 1
anim = 1043
ID = 1043



[State 1000, PlaySnd]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0,6
volume = 255
channel = 2
loop = 1

[State 0, 1]
type = Poweradd
trigger1 = Var(4) = [6,119]
value = -2

[State 0, 1]
type = VarAdd
trigger1 = AnimElemTime(3) >= 0 && Var(4) < 120 && power > 0
v =  4
value = 1
;ignorehitpause = 0
;persistent = 1

[State 0, 1]
type = VarSet
trigger1 = Var(4) = [6,25]
var(5) = 1

[State 0, 1]
type = VarSet
trigger1 = Var(4) = [26,50]
var(5) = 2

[State 0, 1]
type = VarSet
trigger1 = Var(4) = [51,75]
var(5) = 3

[State 0, 1]
type = VarSet
trigger1 = Var(4) = [76,119]
var(5) = 4

[State 0, 1]
type = VarSet
trigger1 = Var(4) = 120
var(5) = 5

[State 0, 1]
type = ModifyExplod
trigger1 = Var(4) = [6,25]
ID = 1042
scale = .2, .2
persistent = 1

[State 0, 1]
type = ModifyExplod
trigger1 = Var(4) = [26,50]
ID = 1042
scale = .35, .35
persistent = 1

[State 0, 1]
type = ModifyExplod
trigger1 = Var(4) = [51,75]
ID = 1042
scale = .5, .5
persistent = 1

[State 0, 1]
type = ModifyExplod
trigger1 = Var(4) = [76,119]
ID = 1042
scale = .65, .65
persistent = 1

[State 0, 1]
type = ModifyExplod
trigger1 = Var(4) = 120
ID = 1042
scale = .75, .75
persistent = 1


[State 0, 1]
type = Explod
trigger1 = AnimElem = 3
anim = 1042
ID = 1042
pos = 33,-43
postype = p1
;facing = 1
;vfacing = 1
bindtime = -1
removetime = -1
scale = .05, .05
sprpriority = 1
ownpal = 1
removeongethit = 1



[State 0, 1]
type = RemoveExplod
triggerall = AnimElemTime(3) > 0
trigger1 = command = "a" || command = "b"


[State 0, 1]
type = StopSnd
triggerall = AnimElemTime(3) > 0
trigger1 = command = "a" || command = "b"
channel = 2

[State 1000, ChangeState]
type = ChangeState
triggerall = AnimElemTime(3) > 0
trigger1 = command = "a" || command = "b"
value = 0
ctrl = 1

[State 1000, ChangeState]
type = ChangeState
triggerall = AnimElemTime(3) > 0
trigger1 = command != "holdx" 
trigger2 = roundstate !=2
value = 1041


[Statedef 1041]
type = S
movetype = A
physics = s
velset = 0, 0
ctrl = 0
anim = 1041



[State 0, 1]
type = VelSet
trigger1 = AnimElem = 2
x = -3 - Var(5)
;y = 
;ignorehitpause = 0
;persistent = 1

[State 0, 1]
type = StopSnd
trigger1 = Time = 0
channel = 2

[State 0, 1]
type = RemoveExplod
trigger1 = Time = 0


[State 1000, PlaySnd]
type = PlaySnd
trigger1 = AnimElem = 1
value = 1+(5*(palno = 6 || palno = 12)),3
volume = 255
channel = 0

[State 1000, PlaySnd]
type = PlaySnd
trigger1 = AnimElem =1
value = 0,7
volume = 255

[State 1000, Helper]
type = Helper
trigger1 = !IsHelper(11000)
trigger1 = AnimElem =1
postype = p1
pos = 33,-43
stateno = 1045
bindtime = 1
ownpal = 1
name = "ReiGan Bullet"
ID = 11000
persistent = 0

[State 0, ]
type = Explod
trigger1 = AnimElem =1 
anim = 1050
pos = 33,-43
postype = p1
sprpriority = 4
ownpal = 1
ID = 1050
scale = .5, .5


[State 1000, ChangeState]
type = ChangeState
trigger1 = animtime = 0
value = 0
ctrl = 1

; Rei Gan (Spirit Gun)
[Statedef 1042]
type = S
movetype = A
physics = N
poweradd = -75
velset = 0, 0
ctrl = 0
anim = 1040

[State 1000, PlaySnd]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0,6
volume = 255
channel = 2
loop = 1

[State 0, 1]
type = Explod
trigger1 = AnimElemTime(3) >= 0
trigger1 = timemod =24, 0
trigger1 = NumExplod(1043) <= 20
pos = 33, -88
ignorehitpause = 1
sprpriority = 6
ownpal = 1
ontop = 1
removetime = 15
random = 5,5
vel = 0,3
supermove = 1
bindtime = 1
anim = 1043
ID = 1043


[State 0, 2]
type = Explod
trigger1 = AnimElemTime(3) >= 0
trigger1 = timemod =24, 3
trigger1 = NumExplod(1043) <= 20
pos = 33, 2
;persistent = 0
ignorehitpause = 1
sprpriority = 6
ownpal = 1
ontop = 1
Removetime = 15
Random = 5,5
Vel = 0,-3
supermove = 1
bindtime = 1
anim = 1043
ID = 1043


[State 0, 3]
type = Explod
trigger1 = AnimElemTime(3) >= 0
trigger1 = timemod =24, 6
trigger1 = NumExplod(1043) <= 20
pos = 78, -43
ignorehitpause = 1
sprpriority = 6
ownpal = 1
ontop = 1
Removetime = 15
Random = 5,5
Vel = -3,0
supermovetime = 99999999999999
supermove = 1
bindtime = 1
anim = 1043
ID = 1043



[State 0, 4]
type = Explod
trigger1 = AnimElemTime(3) >= 0
trigger1 = timemod =24, 9
trigger1 = NumExplod(1043) <= 20
pos = -12, -43
;persistent = 0
ignorehitpause = 1
sprpriority = 6
ownpal = 1
ontop = 1
Removetime = 15
Random = 5,5
Vel = 3,0
supermove = 1
bindtime = 1
anim = 1043
ID = 1043


[State 0, 5]
type = Explod
trigger1 = AnimElemTime(3) >= 0
trigger1 = timemod =24,12
trigger1 = NumExplod(1043) <= 20
pos = 78, -88
;persistent = 0
ignorehitpause = 1
sprpriority =6 
ownpal = 1
ontop = 1
Removetime = 15
Random = 5,5
Vel = -3,3
supermove = 1
bindtime = 1
anim = 1043
ID = 1043


[State 0, 6]
type = Explod
trigger1 = AnimElemTime(3) >= 0
trigger1 = timemod =24, 15
trigger1 = NumExplod(1043) <= 20
pos = -12, -88
;persistent = 0
ignorehitpause = 1
sprpriority = 6
ownpal = 1
ontop = 1
Removetime = 15
Random = 5,5
Vel = 3,3
supermove = 1
bindtime = 1
anim = 1043
ID = 1043


[State 0, 7]
type = Explod
trigger1 = AnimElemTime(3) >= 0
trigger1 = timemod =24, 18
trigger1 = NumExplod(1043) <= 20
pos = 78, 2
ignorehitpause = 1
sprpriority = 6
ownpal = 1
ontop = 1
Removetime = 15
Vel = -3,-3
supermove = 1
bindtime = 1
anim = 1043
ID = 1043


[State 0, 8]
type = Explod
trigger1 = AnimElemTime(3) >= 0
trigger1 = timemod =24, 21
trigger1 = NumExplod(1043) <= 20
pos = -12, 2
;persistent = 0
ignorehitpause = 1
sprpriority = 6
ownpal = 1
ontop = 1
Removetime = 15
Vel = 3,-3
supermove = 1
bindtime = 1
anim = 1043
ID = 1043



[State 0, 1]
type = Poweradd
trigger1 = Var(4) = [6,119]
value = -2

[State 0, 1]
type = VarAdd
trigger1 = AnimElemTime(3) >= 0 && Var(4) < 120 && power > 0
v =  4
value = 1
;ignorehitpause = 0
;persistent = 1

[State 0, 1]
type = VarSet
trigger1 = Var(4) = [6,25]
var(5) = 1

[State 0, 1]
type = VarSet
trigger1 = Var(4) = [26,50]
var(5) = 2

[State 0, 1]
type = VarSet
trigger1 = Var(4) = [51,75]
var(5) = 3

[State 0, 1]
type = VarSet
trigger1 = Var(4) = [76,119]
var(5) = 4

[State 0, 1]
type = VarSet
trigger1 = Var(4) = 120
var(5) = 5

[State 0, 1]
type = ModifyExplod
trigger1 = Var(4) = [6,25]
ID = 1042
scale = .2, .2
persistent = 1

[State 0, 1]
type = ModifyExplod
trigger1 = Var(4) = [26,50]
ID = 1042
scale = .35, .35
persistent = 1

[State 0, 1]
type = ModifyExplod
trigger1 = Var(4) = [51,75]
ID = 1042
scale = .5, .5
persistent = 1

[State 0, 1]
type = ModifyExplod
trigger1 = Var(4) = [76,119]
ID = 1042
scale = .65, .65
persistent = 1

[State 0, 1]
type = ModifyExplod
trigger1 = Var(4) = 120
ID = 1042
scale = .75, .75
persistent = 1

[State 0, 1]
type = Explod
trigger1 = AnimElem = 3
anim = 1042
ID = 1042
pos = 33,-43
postype = p1
;facing = 1
;vfacing = 1
bindtime = -1
removetime = -1
scale = .05, .05
sprpriority = 1
ownpal = 1
removeongethit = 1

[State 0, 1]
type = RemoveExplod
triggerall = AnimElemTime(3) > 0
trigger1 = command = "a" || command = "b"


[State 0, 1]
type = StopSnd
triggerall = AnimElemTime(3) > 0
trigger1 = command = "a" || command = "b"
channel = 2

[State 1000, ChangeState]
type = ChangeState
triggerall = AnimElemTime(3) > 0
trigger1 = command = "a" || command = "b"
value = 0
ctrl = 1

[State 1000, ChangeState]
type = ChangeState
triggerall = AnimElemTime(3) > 0
trigger1 = command != "holdy" 
trigger2 = roundstate !=2
value = 1043


[Statedef 1043]
type = S
movetype = A
physics = s
velset = 0, 0
ctrl = 0
anim = 1041



[State 0, 1]
type = StopSnd
trigger1 = Time = 0
channel = 2

[State 0, 1]
type = RemoveExplod
trigger1 = Time = 0



[State 0, 1]
type = VelSet
trigger1 = AnimElem = 2
x = -3 - Var(5)
;y = 
;ignorehitpause = 0
;persistent = 1


[State 1000, PlaySnd]
type = PlaySnd
trigger1 = AnimElem = 1
value = 1+(5*(palno = 6 || palno = 12)),3
volume = 255
channel = 0

[State 1000, PlaySnd]
type = PlaySnd
trigger1 = AnimElem =1
value = 0,7
volume = 255

[State 1000, Helper]
type = Helper
trigger1 = !IsHelper(11000)
trigger1 = AnimElem =1
postype = p1
pos = 33,-43
stateno = 1045
bindtime = 1
ownpal = 1
name = "ReiGan Bullet"
ID = 11000
persistent = 0

[State 0, 1]
type = Explod
trigger1 = AnimElem = 1 
anim = 1050
pos = 33,-43
postype = p1
sprpriority = 4
ownpal = 1
ID = 1050
scale = .5, .5

[State 1000, ChangeState]
type = ChangeState
trigger1 = animtime = 0
value = 0
ctrl = 1


; Rei Gan Bullet
[Statedef 1045]
type = S
movetype = A
physics = N
velset = ifelse(parent, stateno = 1041,5,9)+(.5*(parent, Var(5))),0
sprpriority = 2
juggle = 2
ctrl = 0

[State 1000, ChangeAnim]
type = ChangeAnim
trigger1 = !Time && parent, Var(5) = 0
value = 1025

[State 1000, ChangeAnim]
type = ChangeAnim
trigger1 = !Time && parent, Var(5) > 0
value = 1044 + (parent, Var(5))

[State 0, 1]
type = ParentVarSet
trigger1 = Var(4) = [6,40]
var(5) = 1

[State 4001, 1]
type = AssertSpecial
trigger1 = 1
flag = NoShadow

[State 4001, 2]
type = PlayerPush
trigger1 = Time >= 0
value = 0

[State 3031, 1]
type = AfterImage
trigger1 = Time = 0
time = 9999
PalBright   =   0,  0,  0
PalContrast = 120,120,120
PalAdd      =  0,0,0 ;29, 29, 29
PalMul      = .77,.77,.77
trans = add
timegap =1
framegap = 1


[State 4001, HitDef]
type = HitDef
trigger1 = time = 0
trigger1 = p2stateno != 5070
trigger1 = p2stateno != 5071
attr = S, SP
animtype = Medium
damage = ifelse(parent, stateno = 1041,65,75)+(ifelse(parent, stateno = 1041,15,25)*(parent, Var(5))),5
hitflag = MAF
guardflag = MA
pausetime = 0, 9
sparkno = -1
sparkxy = 0, 0
hitsound = s5,9
guardsound = 6,0
ground.type = High
ground.slidetime = 13
ground.hittime = 26
ground.velocity = -12,-4
guard.velocity = -6
air.velocity = -12,-4
airguard.velocity = -6,-1
down.velocity = -12,0
down.hittime = 26
palfx.color = 0
fall = 1
fall.recover = 0
envshake.time = 10

[State 0, 1]
type = ParentVarSet
trigger1 = time = 4
var(4) = 0

[State 0, 1]
type = ParentVarSet
trigger1 = time = 4
var(5) = 0

[State 4001, NotHitBy]
type = NotHitBy
trigger1 = Time >= 0
time = 1
value = SCA, NA, SA, HA, NT, ST, HT
ignorehitpause = 1

[State 4001, HitOverride]
type = HitOverride
trigger1 = Time >= 0
slot = 1
time = 1
stateno = 1046
attr = SCA, NP, SP, HP
ignorehitpause = 1

[State 4001, HitBy]
type = HitBy
trigger1 = Time >= 0
value = SCA, NP, SP, HP
time = 1
ignorehitpause = 1

[State 2512, Helper Hits Count Too]
type = ParentVarSet ; Only works for helpers.
trigger1 = UniqHitCount != Var(20)
v = 19
value = 1

[State 2512, Helper Hits Count Too]
type = VarSet
trigger1 = UniqHitCount != Var(20)
v = 20
value = UniqHitCount

[State 4001, DestroySelf]
type = DestroySelf
trigger1 = FrontEdgeBodyDist < -70

[State 0, 1]
type = ChangeState
trigger1 = movecontact
trigger2 = pos y >= -5 && vel y > 0
value = 1046

; Ball Hits
[Statedef 1046]
type = S
movetype = A
physics = N
velset = 0,0
sprpriority = 2
ctrl = 0

[State 0, 1]
type = ParentVarSet
trigger1 = !time && prevstateno = 1045
var(4) = 0

[State 0, 1]
type = ParentVarSet
trigger1 = !time && prevstateno = 1045
var(5) = 0


[State 1000, ChangeAnim]
type = ChangeAnim
trigger1 = Anim = 1025 || (Anim = [1045,1046]) 
value = 1051

[State 1000, ChangeAnim]
type = ChangeAnim
trigger1 = (Anim = [1047,1048]) || Anim = 1075
value = 1052

[State 1000, ChangeAnim]
type = ChangeAnim
trigger1 = Anim = 1049
value = 1053

[State 4022, 0]
type = AssertSpecial
trigger1 = Time >= 0
flag = NoShadow



[State 0, 1]
type = ParentVarAdd
trigger1 = !time 
var(1) = 1




[State 4022, 1]
type = PlayerPush
trigger1 = Time >= 0
value = 0

[State 4022, 2]
type = DestroySelf
trigger1 = (Anim = [1051,1053]) && AnimTime = 0


;Reiko Retsuken
[Statedef 1060]
type    = S
movetype= A
physics = S
anim = 1060
ctrl = 0

[State 0, 1]
type = VarSet
trigger1 = !time
var(0) = 0

[State 0, 1]
type = VarSet
trigger1 = command = "tap_x"
var(0) = 1

[State 0, 1]
type = VarSet
trigger1 = command = "tap_y"
var(0) = 2

[State 1000, PlaySnd]
type = PlaySnd
trigger1 = AnimElem = 1
value = 1+(5*(palno = 6 || palno = 12)),8
volume = 255
channel = 0


[State 0, 1]
type = HitDef
trigger1 =AnimElem = 2 || AnimElem = 4 || AnimElem = 6 || AnimElem = 8
attr = S,SA
hitflag = MAF
guardflag = HA
animtype = Back
priority = 5,Hit
damage = 20,2
pausetime = 12,12
sparkno = 3
sparkxy = 0,-42+(random%20)
hitsound = s5,9 
guardsound = 6,0
ground.type = High
air.type = High
ground.slidetime = 30
guard.slidetime = 30
ground.hittime = 30
guard.hittime = 15
air.hittime = 30
yaccel = 0.4
ground.velocity = -4
guard.velocity = -6
air.velocity = -1,-4
airguard.velocity = -3,-3
givepower = 10,25
envshake.time = 10
persistent = 1

[State 810, State End]
type = ChangeState
trigger1 = Var(0) = 1 && Animtime = 0
value = 1060

[State 810, State End]
type = ChangeState
trigger1 = Var(0) = 2 && Animtime = 0
value = 1061

[State 810, State End]
type = ChangeState
trigger1 = Var(0) = 0 && Animtime = 0
value = 0
ctrl = 1


;Reiko Retsuken
[Statedef 1061]
type    = S
movetype= A
physics = S
anim = 1061
ctrl = 0

[State 0, 1]
type = VarSet
trigger1 = !time
var(0) = 0

[State 0, 1]
type = VarSet
trigger1 = command = "tap_x"
var(0) = 1

[State 0, 1]
type = VarSet
trigger1 = command = "tap_y"
var(0) = 2

[State 1000, PlaySnd]
type = PlaySnd
trigger1 = AnimElem = 1
value = 1+(5*(palno = 6 || palno = 12)),8
volume = 255
channel = 0


[State 0, 1]
type = HitDef
trigger1 =AnimElem = 2 || AnimElem = 4 || AnimElem = 6 || AnimElem = 8
attr = S,SA
hitflag = MAF
guardflag = HA
animtype = Back
priority = 5,Hit
damage = 20,2
pausetime = 12,12
sparkno = 3
sparkxy = 0,-42+(random%20)
hitsound = s5,9 
guardsound = 6,0
ground.type = High
air.type = High
ground.slidetime = 30
guard.slidetime = 30
ground.hittime = 30
guard.hittime = 15
air.hittime = 30
yaccel = 0.4
ground.velocity = -4
guard.velocity = -6
air.velocity = -1,-4
airguard.velocity = -3,-3
givepower = 10,25
envshake.time = 10
persistent = 1

[State 810, State End]
type = ChangeState
trigger1 = Var(0) = 1 && Animtime = 0
value = 1060

[State 810, State End]
type = ChangeState
trigger1 = Var(0) = 2 && Animtime = 0
value = 1061

[State 810, State End]
type = ChangeState
trigger1 = Var(0) = 0 && Animtime = 0
value = 0
ctrl = 1

[Statedef 1070]
type    = A
movetype= A
physics = A
juggle  = 4
ctrl = 0
anim = 610
sprpriority = 2
poweradd = -100

[State 0, ]
type = Explod
trigger1 = AnimElem = 4,0 
anim = 611
pos = 0,0
postype = p1
bindtime = -1
sprpriority = 3
ownpal = 1
removeongethit = 1
ID = 611

[State 1000, Helper]
type = Helper
trigger1 = !IsHelper(11000)
trigger1 = AnimElem =3
postype = p1
pos = 14,-43
stateno = 1075
bindtime = 1
ownpal = 1
name = "ReiGan Bullet"
ID = 11000
persistent = 0


[State 210, 1]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, 7

[State 210, 1]
type = PlaySnd
trigger1 = AnimElem = 3 
value = ifelse(palno = 6 || palno = 12,6,1), 3
channel = 0


[Statedef 1071]
type    = A
movetype= A
physics = A
juggle  = 4
ctrl = 0
anim = 610
sprpriority = 2
poweradd = -100

[State 0, ]
type = Explod
trigger1 = AnimElem = 4,0 
anim = 611
pos = 0,0
postype = p1
bindtime = -1
sprpriority = 3
ownpal = 1
removeongethit = 1
ID = 611

[State 1000, Helper]
type = Helper
trigger1 = !IsHelper(11000)
trigger1 = AnimElem =3
postype = p1
pos = 14,-43
stateno = 1075
bindtime = 1
ownpal = 1
name = "ReiGan Bullet"
ID = 11000
persistent = 0


[State 210, 1]
type = PlaySnd
trigger1 = AnimElem = 3
value = 0, 7

[State 210, 1]
type = PlaySnd
trigger1 = AnimElem = 3 
value = ifelse(palno = 6 || palno = 12,6,1), 3
channel = 0


; Energy Bullet
[Statedef 1075]
type = S
movetype = A
physics = N
velset = ifelse(parent, stateno = 1070,4,6),ifelse(parent, stateno = 1070,4,6)
sprpriority = 2
juggle = 2
ctrl = 0

[State 1000, ChangeAnim]
type = ChangeAnim
trigger1 = !Time && Anim != 1075
value = 1075


[State 4001, 1]
type = AssertSpecial
trigger1 = 1
flag = NoShadow

[State 4001, 2]
type = PlayerPush
trigger1 = Time >= 0
value = 0

[State 3031, 1]
type = AfterImage
trigger1 = Time = 0
time = 9999
PalBright   =   0,  0,  0
PalContrast = 120,120,120
PalAdd      =  0,0,0 ;29, 29, 29
PalMul      = .77,.77,.77
trans = add
timegap =1
framegap = 1


[State 4001, HitDef]
type = HitDef
trigger1 = time = 0
attr = S, SP
animtype = Medium
damage = 75,5
hitflag = MAF
guardflag = MA
pausetime = 0, 9
sparkno = -1
sparkxy = 0,0
hitsound = s5,9
guardsound = 6,0
ground.type = High
ground.slidetime = 13
ground.hittime = 26
ground.velocity = -4
guard.velocity = -6
air.velocity = -4,-4
airguard.velocity = -6,-1
down.velocity = -12,0
down.hittime = 26
envshake.time = 10

[State 4001, NotHitBy]
type = NotHitBy
trigger1 = Time >= 0
time = 1
value = SCA, NA, SA, HA, NT, ST, HT
ignorehitpause = 1

[State 4001, HitOverride]
type = HitOverride
trigger1 = Time >= 0
slot = 1
time = 1
stateno = 1014
attr = SCA, NP, SP, HP
ignorehitpause = 1

[State 4001, HitBy]
type = HitBy
trigger1 = Time >= 0
value = SCA, NP, SP, HP
time = 1
ignorehitpause = 1

[State 2512, Helper Hits Count Too]
type = ParentVarSet ; Only works for helpers.
trigger1 = UniqHitCount != Var(20)
v = 19
value = 1

[State 2512, Helper Hits Count Too]
type = VarSet
trigger1 = UniqHitCount != Var(20)
v = 20
value = UniqHitCount


[State 0, 1]
type = ChangeState
trigger1 = movecontact
trigger2 = pos y >= -5 && vel y > 0
value = 1046

;Reiko Upper
[Statedef 1080]
type    = U
movetype= A
physics = N
anim = 1080
ctrl = 0
velset = 6,0
poweradd = -100

[State 0, ]
type = NotHitBy
trigger1 = AnimElemtime(3) <= 0
value = SCA



[State 0, ]
type = MakeDust
trigger1 = Animelemtime(3)<=0 && Statetype !=A
pos = 0,0

[State 0, ]
type = StateTypeSet
trigger1 = AnimElem =5
statetype = A

[State 0, 1]
type = VelAdd
trigger1 = AnimElemtime(4) >= 0 && Vel X > 0
x = -.3

[State 0, 1]
type = VelSet
trigger1 = Vel X < 0
x = 0

[State 0, 1]
type = VelSet
trigger1 = AnimElem = 5 && Anim != 1082
y = -5

[State 0, ]
type = VelAdd
trigger1 = AnimElemtime(5) >= 2 
y = .4

[State 103, 2]
type = PlaySnd
trigger1 = AnimElem = 2 && Anim !=1082
value = 2,1
channel = 0
freqmul = ifelse(palno = 6 || palno = 12,.75,1)


[State 0, 1]
type = HitDef
trigger1 =AnimElem = 4 
attr = S,SA
hitflag = MAF
guardflag = HA
animtype = Back
priority = 5,Hit
damage = 80,2
pausetime = 12,12
sparkno = 3
sparkxy = 0,-42
hitsound = s5,9 
guardsound = 6,0
ground.type = High
air.type = High
ground.slidetime = 30
guard.slidetime = 30
ground.hittime = 30
guard.hittime = 15
air.hittime = 30
yaccel = 0.4
ground.velocity = -4
guard.velocity = -6
air.velocity = -1,-4
airguard.velocity = -3,-3
givepower = 10,25
envshake.time = 10
persistent = 1

[State 0, 1]
type = HitDef
trigger1 =AnimElem = 5 
attr = A,SA
hitflag = MAF
guardflag = HA
animtype = Up
priority = 5,Hit
damage = 30,2
pausetime = 12,12
sparkno = 3
sparkxy = 0,-72
hitsound = s5,9 
guardsound = 6,0
ground.type = High
air.type = High
ground.slidetime = 30
guard.slidetime = 30
ground.hittime = 30
guard.hittime = 15
air.hittime = 30
yaccel = 0.4
ground.velocity = -1,-9
guard.velocity = -6
air.velocity = -1,-9
airguard.velocity = -3,-3
givepower = 10,25
envshake.time = 10
fall =1 

[State 810, State End]
type = ChangeAnim
trigger1 = Vel Y > 0 && Anim = 1080
value = 1082


[State 810, State End]
type = ChangeState
trigger1 = Vel Y > 0 && Pos Y >= 0
value = 52

;Reiko Upper
[Statedef 1081]
type    = U
movetype= A
physics = N
anim = 1081
ctrl = 0
velset = 8,0
poweradd = -100

[State 0, ]
type = NotHitBy
trigger1 = AnimElemtime(3) <= 0
value = SCA



[State 0, ]
type = MakeDust
trigger1 = Animelemtime(3)<=0 && Statetype !=A
pos = 0,0

[State 0, ]
type = StateTypeSet
trigger1 = AnimElem =5
statetype = A

[State 0, 1]
type = VelAdd
trigger1 = AnimElemtime(4) >= 0 && Vel X > 0
x = -.3

[State 0, 1]
type = VelSet
trigger1 = Vel X < 0
x = 0

[State 0, 1]
type = VelSet
trigger1 = AnimElem = 5 && Anim != 1082
y = -6

[State 0, ]
type = VelAdd
trigger1 = AnimElemtime(5) >= 9 
y = .4

[State 103, 2]
type = PlaySnd
trigger1 = AnimElem = 2 && Anim !=1082
value = 2,1
channel = 0
freqmul = ifelse(palno = 6 || palno = 12,.75,1)


[State 0, 1]
type = HitDef
trigger1 =AnimElem = 4 
attr = S,SA
hitflag = MAF
guardflag = HA
animtype = Back
priority = 5,Hit
damage = 80,2
pausetime = 12,12
sparkno = 3
sparkxy = 0,-42
hitsound = s5,9 
guardsound = 6,0
ground.type = High
air.type = High
ground.slidetime = 30
guard.slidetime = 30
ground.hittime = 30
guard.hittime = 15
air.hittime = 30
yaccel = 0.4
ground.velocity = -4
guard.velocity = -6
air.velocity = -1,-4
airguard.velocity = -3,-3
givepower = 10,25
envshake.time = 10
persistent = 1

[State 0, 1]
type = HitDef
trigger1 =AnimElem = 5 ||  AnimElem = 5, 3 || AnimElem = 5, 6
attr = A,SA
hitflag = MAF
guardflag = HA
animtype = Up
priority = 5,Hit
damage = 20,2
pausetime = 12,12
sparkno = 3
sparkxy = 0,-72
hitsound = s5,9 
guardsound = 6,0
ground.type = High
air.type = High
ground.slidetime = 30
guard.slidetime = 30
ground.hittime = 30
guard.hittime = 15
air.hittime = 30
yaccel = 0.4
ground.velocity = -1,-9
guard.velocity = -6
air.velocity = -1,-9
airguard.velocity = -3,-3
givepower = 10,25
envshake.time = 10
fall =1 

[State 810, State End]
type = ChangeAnim
trigger1 = Vel Y > 0 && Anim = 1081
value = 1082


[State 810, State End]
type = ChangeState
trigger1 = Vel Y > 0 && Pos Y >= 0
value = 52





; Return Fire
[Statedef 3000]
type = S
movetype = A
physics = S
velset = 0, 0
ctrl = 0
anim = 3000





[State 0, 1]
type = SuperPause
trigger1 = !time
time = 1
anim = -1
movetime = 0
darken = 1
poweradd = -850




[State 0, 1]
type = RemoveExplod
trigger1 = Time = 0
ID = 1013

[State 1000, PlaySnd]
type = PlaySnd
trigger1 = AnimElem = 3,5
value = 1+(5*(palno = 6 || palno = 12)),3
volume = 255
channel = 0

[State 1000, PlaySnd]
type = PlaySnd
trigger1 = AnimElem =3
value = 0,7
volume = 255

[State 1000, Helper]
type = Helper
trigger1 = !IsHelper(11000)
trigger1 = AnimElem =3,5
postype = p1
pos = 33,-43
stateno = 3001
bindtime = 1
ownpal = 1
name = "ReiGan Bullet"
ID = 11000
persistent = 0

[State 0, ]
type = Explod
trigger1 = AnimElem =3,5 
anim = 1050
pos = 33,-43
postype = p1
sprpriority = 4
ownpal = 1
ID = 1050



[State 0, ]
type = VelSet
trigger1 = AnimElem = 4
x = -3
;y = 
;ignorehitpause = 0
;persistent = 1



[State 1000, ChangeState]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1


; Rei Gan Bullet
[Statedef 3001]
type = S
movetype = A
physics = N
velset = 10,0
sprpriority = 2
juggle = 2
ctrl = 0

[State 1000, ChangeAnim]
type = ChangeAnim
trigger1 = !Time && Anim != 3001
value = 3001



[State 0, 1]
type = Explod
trigger1 = time%5= 2
anim = 3002
ID = 3002
pos = -30,43
postype = p1
facing = 1
vfacing = 1
bindtime = 1
sprpriority = 5
ownpal = 1




[State 4001, 1]
type = AssertSpecial
trigger1 = 1
flag = NoShadow

[State 4001, 2]
type = PlayerPush
trigger1 = Time >= 0
value = 0

[State 3031, 1]
type = AfterImage
trigger1 = Time = 0
time = 9999
PalBright   =   0,  0,  0
PalContrast = 120,120,120
PalAdd      =  0,0,0 ;29, 29, 29
PalMul      = .77,.77,.77
trans = add
timegap =1
framegap = 1


[State 4001, HitDef]
type = HitDef
trigger1 = time = 0
attr = S, SP
animtype = Medium
damage = 400,10
hitflag = MAFD
guardflag = MA
pausetime = 0, 9
sparkno = -1
sparkxy = 0,0
hitsound = s5,12
guardsound = 6,0
ground.type = High
ground.slidetime = 13
ground.hittime = 26
ground.velocity = -12,-4
guard.velocity = -6
air.velocity = -12,-4
airguard.velocity = -6,-1
down.velocity = -12,0
down.hittime = 26
palfx.color = 0
fall = 1
fall.recover = 0
envshake.time = 10

[State 4001, NotHitBy]
type = NotHitBy
trigger1 = Time >= 0
time = 1
value = SCA, NA, SA, HA, NT, ST, HT
ignorehitpause = 1

[State 4001, HitOverride]
type = HitOverride
trigger1 = Time >= 0
slot = 1
time = 1
stateno = 1014
attr = SCA, NP, SP, HP
ignorehitpause = 1

[State 4001, HitBy]
type = HitBy
trigger1 = Time >= 0
value = SCA, NP, SP, HP
time = 1
ignorehitpause = 1

[State 2512, Helper Hits Count Too]
type = ParentVarSet ; Only works for helpers.
trigger1 = UniqHitCount != Var(20)
v = 19
value = 1

[State 2512, Helper Hits Count Too]
type = VarSet
trigger1 = UniqHitCount != Var(20)
v = 20
value = UniqHitCount

[State 4001, DestroySelf]
type = DestroySelf
trigger1 = FrontEdgeBodyDist < -70

;Abare Hiryu
[Statedef 3010]
type    = S
movetype= A
physics = S
juggle  = 0
velset = 0,0
ctrl = 0
anim = 800
sprpriority = 2


[State 800, 1]
type = HitDef
Trigger1 = Time = 0
attr = S, HT          ;Attributes: Standing, Normal Throw
hitflag = MA          ;Affect only ground people who are not being hit
priority = 5, Miss    ;Throw has low priority, must be miss or dodge type.
sparkno = -1          ;No spark
sprpriority = 1       ;Draw in front of p2
p1facing = 1 ;Turn if holding forwards
p2facing = 1          ;Force p2 to face KFM
p1stateno = 3011       ;On success, KFM changes to state 810
p2stateno = 815       ;If hit, p2 changes to state 820 in KFM's cns
guard.dist = 0        ;This prevents p2 from going into a guard state if close
fall = 1              ;Force p2 into falling down


[State 800, 2]
type = ChangeState
Trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Knock Up
[Statedef 3011]
type    = S
movetype= A
physics = N
anim = 3010

[State 0, 1]
type = SuperPause
trigger1 = !time
time = 1
anim = -1
movetime = 0
darken = 1
poweradd = -850

[State 810, Width 2-11]
type = Width
trigger1 = 1
edge = 50,10

[State 810, Grab Sound]
type = PlaySnd
trigger1 = AnimElem = 1
value = 5, 10

[State 1000, PlaySnd]
type = PlaySnd
trigger1 = AnimElem = 2
value = 1+(5*(palno = 6 || palno = 12)),8
volume = 255
channel = 0

[State 810, Bind 1]
type = TargetBind
trigger1 = AnimElemTime(2) < 0
pos = 37, 0

[State 0, 1]
type = HitDef
trigger1 =Time%4 =0 && AnimElemtime(54) < 0
attr = S,HA
hitflag = MAF
guardflag = HA
animtype = Back
priority = 5,Hit
damage = 20,2
pausetime = 2,2
sparkno = 3
sparkxy = 0,-42+(random%40)
hitsound = s5,0+(random%3) 
guardsound = 6,0
ground.type = High
air.type = High
ground.slidetime = 30
guard.slidetime = 30
ground.hittime = 30
guard.hittime = 15
air.hittime = 30
yaccel = 0.4
ground.velocity = -1,-10
guard.velocity = -6
air.velocity = -1,-10
airguard.velocity = -3,-3
p2stateno = 815
fall = 1
fall.recover = 0
givepower = 10,40
envshake.time = 10
fall.envshake.time = 10
persistent = 1
kill = 0

[State 0, 1]
type = HitDef
trigger1 = AnimElem= 55
attr = S,HA
hitflag = MAF
guardflag = HA
animtype = Back
priority = 5,Hit
damage = 25,2
pausetime = 10,10
sparkno = 3
sparkxy = 0,-42
hitsound = s5,9 
guardsound = 6,0
ground.type = High
air.type = High
ground.slidetime = 30
guard.slidetime = 30
ground.hittime = 30
guard.hittime = 15
air.hittime = 30
yaccel = 0.4
ground.velocity = -1,-10
guard.velocity = -6
air.velocity = -1,-10
airguard.velocity = -3,-3
p2stateno = 3015
fall = 1
fall.recover = 0
givepower = 10,40
envshake.time = 10
fall.envshake.time = 10
persistent = 1
kill = 0

[State 0, 0]
type = Explod
triggerall = AnimElemtime(56) > 0
trigger1 = (!(Time%15) || Random < 200) 
anim = 199
sprpriority = ifelse(random < 200,-2,2)
postype = p1
pos = 0,-20
random = 40,26
vel = 0, -1*(1+random%6)
id = 80
bindtime = 1
ownpal = 1



[State 0, 1]
type = PlaySnd
trigger1 = Animelem = 56
value = 0,4

[State 0, PalFX]
type = PalFX
triggerall = AnimElemtime(56) > 0
trigger1 = time%20=0
add = 0,0,0
sinadd = 0,255,255,37
persistent = 1
time =20
ignorehitpause = 1

[State 0, ]
type = Explod
triggerall = AnimElemtime(56) > 0
trigger1 = time % 5= 0 
anim = 996
pos = 0,0
postype = p1
bindtime = 1
under= 1
ownpal = 1
removeongethit = 1
ID = 197
scale = .5,.5

[State 810, State End]
type = ChangeState
trigger1 = Time = 180
value = 3012

;HiryuKyaku
[Statedef 3012]
type    = A
movetype= A
physics = N
juggle  = 0
ctrl = 0
anim = 1000
sprpriority = 2

[State 0, 1]
type = Helper
trigger1 = (Time%3 = 0) 
name = "shadow"
id = 101
postype = P1
pos = 0,0
stateno = 3013
ownpal = 1


[State 0, 1]
type = Explod
trigger1 = AnimElem = 2
anim = 3012
ID = 3012
bindtime = -1
removetime = -1
sprpriority = 5
removeongethit = 1
ownpal = 1




[State 103, 1]
type = VelSet
trigger1 = Time = 0
x = 11
y = -6

[State 103, 2]
type = PlaySnd
trigger1 = AnimElem = 2
value = 0,7

[State 103, 2]
type = PlaySnd
trigger1 = AnimElem = 2
value = 2,1
channel = 0
freqmul = ifelse(palno = 6 || palno = 12,.75,1)

[State 103, 3]
type = VelAdd
trigger1 = Time > 0
y = .51

[State 710, 7]
type = HitDef
trigger1 = AnimElem = 2
attr = S, SA
animtype = Back
damage = 175,10
guardflag = M
pausetime = 20,20
sparkxy = 0,-55
hitsound = s5,9
guardsound = 6,0
ground.type = High
ground.slidetime = 12
ground.hittime = 15
ground.velocity = -4.5,-6.5
air.velocity = -4.5,-6.5
fall = 1
fall.recover = 0
envshake.time = 25
fall.envshake.time = 25



[State 103, 4]
type = ChangeState
trigger1 = movecontact
value = 1003

[State 103, 4]
type = ChangeState
trigger1 = Vel Y > 0
trigger1 = Pos Y >= 0
value = 1002

;Shadow type 1
[Statedef 3013]
type    = S
movetype= I
physics = N
ctrl = 0
velset = 0,0
sprpriority = 0

[State 0, PalFX]
type = PalFX
trigger1 = 1
add = 0,255,255
persistent = 1
time =1
ignorehitpause = 1


[State 0, 1]
type = ChangeAnim
trigger1 = Time = 0
value = parent, Anim
elem = parent, animelemno(0)

[State 0, 1]
type = ChangeAnim
trigger1 = Time >= 1
value = Anim
elem = animelemno(0)

[State 0, 2]
type = SprPriority
trigger1 = Time = 3
value = -2

[State 0, 2]
type = SprPriority
trigger1 = Time = 6
value = -3

[State 0, 3]
type = SprPriority
trigger1 = parent, StateNo != [100,105]
value = -4

[State 0, 4]
type = NotHitBy
trigger1 = 1
value = SCA

[State 0, 1]
type = AssertSpecial
trigger1 = 1
flag = NoShadow

[State 0, 1]
type = AssertSpecial
trigger1 = time%2=0
flag = invisible

[State 0, 1]
type = DestroySelf
trigger1 = (Time = 8) 


; Shu No Ken
[Statedef 3020]
type = S
movetype = A
physics = S
velset = 0, 0
ctrl = 0
anim = 3020

[State 0, 1]
type = BGPalFX
trigger1 = 1
add = -128,-128,-128
ignorehitpause = 1
time = 1


[State 0, 1]
type = SuperPause
trigger1 = !time
time = 1
anim = -1
movetime = 0
darken = 1
poweradd = -850

[State 0, 0]
type = Explod
triggerall = AnimElemtime(20) < 0
trigger1 = (!(Time%15) || Random < 200) 
anim = 199
sprpriority = ifelse(random < 200,-2,2)
postype = p1
pos = 20,-20
random = 20,26
vel = 0, -1*(1+random%6)
id = 80
bindtime = 1
ownpal = 1

[State 0, 0]
type = Explod
triggerall = AnimElemtime(20)< 0
trigger1 = (!(Time%15) || Random < 200) 
anim = 199
sprpriority = ifelse(random < 200,-2,2)
postype = p1
pos = -20,-20
random = 20,26
vel = 0, -1*(1+random%6)
id = 80
bindtime = 1
ownpal = 1

[State 0, PalFX]
type = PalFX
triggerall = AnimElemtime(20)< 0
trigger1 = time%20=0
add = 0,0,0
sinadd = 0,255,255,37
persistent = 1
time =20
ignorehitpause = 1

[State 0, ]
type = Explod
triggerall = AnimElemtime(20) < 0
trigger1 = time % 10= 0 
anim = 996
pos = 0,0
postype = p1
bindtime = 1
under= 1
ownpal = 1
removeongethit = 1
ID = 197
scale = .5,.5

[State 810, State End]
type = ChangeState
trigger1 = Time = 120 && enemynear, stateno = 3026
value = 3021

[State 810, State End]
type = ChangeState
trigger1 = Time = 120 && enemynear, stateno != 3026
value = 0
ctrl = 1

[State 0, ]
type = NotHitBy
trigger1 = AnimElemtime(20)>0
value = SCA



[State 0, 1]
type = RemoveExplod
trigger1 = Time = 0
ID = 1013

[State 1000, PlaySnd]
type = PlaySnd
trigger1 = AnimElem = 1
value = 1+(5*(palno = 6 || palno = 12)),5
volume = 255
channel = 0

[State 1000, PlaySnd]
type = PlaySnd
trigger1 = AnimElem =1
value = 0,4
volume = 255

[State 1000, Helper]
type = Helper
trigger1 = !IsHelper(11000)
trigger1 = AnimElem =22
postype = p1
pos = 0,0
stateno = 3025
bindtime = 1
ownpal = 1
name = "energy dome"
ID = 11000
persistent = 0

[Statedef 3021]
type = A
movetype = A
physics = N
velset = 0, 0
ctrl = 0
anim = 3021

[State 0, 1]
type = BGPalFX
trigger1 = 1
add = -128,-128,-128
ignorehitpause = 1
time = 1

[State 0, 1]
type = ScreenBound
trigger1 = 1
value = 1
movecamera = 0,0
;ignorehitpause = 0
;persistent = 1

[State 0, 1]
type = Turn
trigger1 = P2Dist X < 0 && !time
;ignorehitpause = 0
;persistent = 1

[State 0, 1]
type = PlayerPush
trigger1 = 1
value = 0 
;ignorehitpause = 0
;persistent = 1
[State 0, 1]
type = ScreenBound
trigger1 = 1
value = 1
movecamera = 0,0
ignorehitpause = 1
;persistent = 1

[State 0, ]
type = VelSet
trigger1 = time = 1
x = (P2Dist X - 30)/8
y = (P2Dist Y)/8
;ignorehitpause = 0
;persistent = 1



[State 0, 1]
type = ChangeState
trigger1 = time = 9
value = 3022

;Finish
[Statedef 3022]
type    = U
movetype= A
physics = N
anim = 3022
ctrl = 0
velset = 0,0

[State 0, 1]
type = BGPalFX
trigger1 = 1
add = -128,-128,-128
ignorehitpause = 1
time = 1

[State 0, ]
type = NotHitBy
trigger1 = AnimElemtime(3) <= 0
value = SCA




[State 0, ]
type = VelAdd
trigger1 = AnimElemtime(5) >= 2 
y = .4

[State 103, 2]
type = PlaySnd
trigger1 = AnimElem = 2 && Anim !=1082
value = ifelse(palno=6,6,1),7
channel = 0



[State 0, 1]
type = HitDef
trigger1 =AnimElem = 3 
attr = S,SA
hitflag = MAF
guardflag = 
animtype = Back
priority = 5,Hit
damage = 450
pausetime = 50,50
sparkno = 3
sparkxy = 0,-42
hitsound = s5,11 
guardsound = 6,0
ground.type = High
air.type = High
ground.slidetime = 30
guard.slidetime = 30
ground.hittime = 30
guard.hittime = 15
air.hittime = 30
ground.velocity = -15,-5
guard.velocity = -6
air.velocity = -15,-5
airguard.velocity = -3,-3
givepower = 10,25
envshake.time = 50
persistent = 1
fall = 1
fall.recover = 0

[State 3510, 4]
type = explod
trigger1 = movehit
anim = 3023
pos = 0,0
postype = left
under = 1
supermove = 1
bindtime = 30
ownpal = 1
persistent = 0
ignorehitpause = 1


[State 810, State End]
type = ChangeAnim
trigger1 = Animtime = 0 && Anim = 3022
value = 1082


[State 810, State End]
type = ChangeState
trigger1 = Vel Y > 0 && Pos Y >= 0
value = 52

; Rei Gan Bullet
[Statedef 3025]
type = S
movetype = A
physics = N
sprpriority = 2
juggle = 2
ctrl = 0

[State 1000, ChangeAnim]
type = ChangeAnim
trigger1 = !Time && Anim != 3025
value = 3025

[State 0, ]
type = EnvShake
trigger1 = !time 
time = 60

[State 0, 1]
type = PlaySnd
trigger1 = !time
value = 5, 12

[State 0, 1]
type = PlaySnd
trigger1 = !time
value = 0, 3
freqmul = 0.6


[State 0, 1]
type = Explod
trigger1 = !time
anim = 3002
ID = 3002
pos = -50,0
postype = p1
facing = 1
vfacing = 1
bindtime = 1
sprpriority = 5
ownpal = 1

[State 0, 1]
type = Explod
trigger1 = !time
anim = 3002
ID = 3002
pos = 50,0
postype = p1
facing = 1
vfacing = 1
bindtime = 1
sprpriority = 5
ownpal = 1


[State 4001, 1]
type = AssertSpecial
trigger1 = 1
flag = NoShadow

[State 4001, 2]
type = PlayerPush
trigger1 = Time >= 0
value = 0

[State 3031, 1]
type = AfterImage
trigger1 = Time = 0
time = 9999
PalBright   =   0,  0,  0
PalContrast = 120,120,120
PalAdd      =  0,0,0 ;29, 29, 29
PalMul      = .77,.77,.77
trans = add
timegap =1
framegap = 1


[State 4001, HitDef]
type = HitDef
trigger1 = time = 0
attr = S, SP
animtype = Medium
damage = 100,10
hitflag = MAFD
guardflag = MA
pausetime = 0, 50
sparkno = 3
sparkxy = 0,(p2Dist Y-40)
hitsound = s5,9
guardsound = 6,0
ground.type = High
ground.slidetime = 13
ground.hittime = 26
ground.velocity = -12,-4
guard.velocity = -6
air.velocity = -12,-4
airguard.velocity = -6,-1
down.velocity = -12,0
down.hittime = 26
palfx.color = 0
fall = 1
fall.recover = 0
envshake.time = 10
p2stateno = 3026
p2facing = 1

[State 4001, NotHitBy]
type = NotHitBy
trigger1 = Time >= 0
time = 1
value = SCA, NA, SA, HA, NT, ST, HT
ignorehitpause = 1

[State 4001, HitOverride]
type = HitOverride
trigger1 = Time >= 0
slot = 1
time = 1
stateno = 1014
attr = SCA, NP, SP, HP
ignorehitpause = 1

[State 4001, HitBy]
type = HitBy
trigger1 = Time >= 0
value = SCA, NP, SP, HP
time = 1
ignorehitpause = 1

[State 2512, Helper Hits Count Too]
type = ParentVarSet ; Only works for helpers.
trigger1 = UniqHitCount != Var(20)
v = 19
value = 1

[State 2512, Helper Hits Count Too]
type = VarSet
trigger1 = UniqHitCount != Var(20)
v = 20
value = UniqHitCount

[State 4001, DestroySelf]
type = DestroySelf
trigger1 = parent, stateno !=3020

[Statedef 3026]
type    = S
movetype= H
physics = N
velset = 0,0

[State 820, 1]
type = ChangeAnim2
Trigger1 = Time = 0
value = 815

[State 800, 2]
type = SelfState
Trigger1 = Time = 140
value = 5010


;---------------------------------------------------------------------------
; Override common states (use same number to override) :
;---------------------------------------------------------------------------
;Hop Fwd )
[Statedef 100]
type = S
physics = N
anim = 100
ctrl = 0

[State 103, 1]
type = VelSet
trigger1 = Time = 0
x = 6



[State 0, 1]
type = MakeDust
trigger1 = time > 2 
pos = 0,0



[State 0, 1]
type = NotHitBy
trigger1 = time < 12
value = SCA

[State 103, 2]
type = PlaySnd
trigger1 = Time = 0
value = 0,5

[State 103, 4]
type = ChangeState
trigger1 = time = 20
value = 0
ctrl = 1

;---------------------------------

;Hop back (in the air)
[Statedef 105]
type = A
physics = N
anim = 105
ctrl = 0

[State 105, 1]
type = VelSet
trigger1 = Time = 0
x = const(velocity.run.back.x)
y = const(velocity.run.back.y)

[State 106, 2]
type = PlaySnd
trigger1 = Time = 0
value = 0,5

[State 106, 3]
type = veladd
trigger1 = time = 10
x = .06

[State 106, 3]
type = VelAdd
trigger1 = Time > 2
y = .79

[State 0, 1]
type = NotHitBy
trigger1 = 1
value = SCA


[State 106, 4]
type = ChangeState
trigger1 = Vel Y > 0
trigger1 = Pos Y >= 0
value = 52

; Knockdown
[Statedef 3015]
type    = A
movetype= H
physics = N
anim = 5030
velset = 0,0

[State 5020, 5]
type = ChangeState
trigger1 = HitShakeOver
value = 3016

[Statedef 3016]
type    = A
movetype= H
anim = 5050
velset = -4.5,-6.5
physics = N

[State 5050, 6]
type = gravity
trigger1 = time >=0


[State 5050, 6]
type = ChangeState
trigger1 = time > 1
trigger1 = Vel Y > 0
trigger1 = Pos Y >= 0
value = 3017 

[Statedef 3017]
type    = S
movetype= H
physics = N
velset = 0,0
anim = 5110

[State 180, 2]
type = Explod
trigger1 = time = 0
id = 61
anim = F62
pos = 0,5
sprpriority = -1
ownpal = 1
removeongethit = 1
removetime = 14


[State 0, ]
type = EnvShake
trigger1 = !time
time = 10
;freq = 60
;ampl = -4
;phase = 
;ignorehitpause = 0
;persistent = 1



[State 5050, 6]
type = posset
trigger1 = time >= 0
y = 0

[State 5050, 6]
type = ChangeState
trigger1 = life > 0
trigger1 = time = 5
value = 3018
ctrl = 0

[State 5050, 6]
type = ChangeState
trigger1 = life <= 0
value = 5110
ctrl = 0

[Statedef 3018]
type    = S
movetype= H
physics = N
anim = 5120

[State 5050, 6]
type = Nothitby
trigger1 = time >= 0
value = SCA
time = 1

[State 5050, 6]
type = ChangeState
trigger1 = animtime = 0
value = 3019
ctrl = 0
;-----------------------------------------------

;P2 dizzy
[Statedef 3019]
type = S
physics = S
movetype = H
anim = 5300
velset = 0,0
sprpriority = 2
ctrl = 0

[State 5050, 6]
type = posset
trigger1 = time >= 0
y = 0


[State 2103, 3]
type = assertspecial
trigger1 = time >=0
flag = nowalk

[State 2103, 3]
type = selfstate
trigger1 = time = 500
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; States that are always executed (use statedef -2)
;---------------------------------------------------------------------------

[Statedef -2]

[State -2, 8]
type = StopSnd
trigger1 = movetype = H 
channel = 2 


[State -3, Landing Sound]
type = PlaySnd
triggerall = Time = 1
trigger1 = stateno = 52 ;Jump land
trigger2 = stateno = 101
value = 55, 2

[State -3, Landing Sound]
type = GameMakeAnim
triggerall = Time = 1
trigger1 = stateno = 52 ;Jump land
trigger2 = stateno = 101
value = 60
pos = 0,0
under = 1

; Play "ow" sound when hit
[State -3, Ow Sound]
type = PlaySnd
triggerall = Time = 1
triggerall = alive && (random <= 500)
trigger1 = stateno = 5001 || stateno = 5011
trigger2 = stateno = 5040 || stateno = 5050
trigger3 = stateno = 5070
value = 3,0+(palno = 6 || palno = 12)

[State -2, 9]
type = PalFX
trigger1 = (life > 100 && life <= 500) && power = 1000 && roundstate = 2
trigger1 = Gametime%4=0
time = 2
mul = 384,384,384
ignorehitpause = 1

[State -2, 9]
type = PalFX
trigger1 = (life > 100 && life <= 500) && power = 1000 && roundstate = 2
trigger1 = Gametime%8=2
time = 2
mul = 512,512,512
ignorehitpause = 1

[State -2, 9]
type = PalFX
trigger1 = life <= 100 && power = 1000 && roundstate = 2
trigger1 = Gametime%4=0
time = 2
mul = 400,255,255
ignorehitpause = 1

[State -2, 9]
type = PalFX
trigger1 = life <= 100 && power = 1000 && roundstate = 2
trigger1 = Gametime%8=2
time = 2
mul = 800,255,255
ignorehitpause = 1

[State 0, 1]
type = PlaySnd
trigger1 = var(1)
value = 4,1
channel = 3
volume = 255

[State 0, 1]
type = VarSet
trigger1 = var(1) > 0
var(1) = 0



;---------------------------------------------------------------------------
; States that are executed when in self's state file (use statedef -3)
;---------------------------------------------------------------------------

;[Statedef -3]



;-------------------
;MEE Template Files
;   provided by
;  Kitsune Sniper
;       ***
; Thanks, Kitsune!
;-------------------
